package cn.constant;

import java.util.regex.Pattern;

public class RegExp
{	
	//中国大陆
	public static final String PATTERN_ID_LAND = "(^\\d{18}$)|(^\\d{15}$)|(^\\d{17}[\\d|x]$)|(^\\d{17}[\\d|X]$)|(^\\d{14}[\\d|X]$)|(^\\d{14}[\\d|x]$)";
	//中国大陆与香港
	public static final String PATTERN_ID_CHINA = "([A-Za-z](\\d{6})\\(\\d\\))|(\\d{6})(\\d{4})(\\d{2})(\\d{2})(\\d{3})([0-9]|X|x)";
	
	/**中国节日*/
	public static final String PATTERN_CHINADATE = "[0-9]{4}[-][0-9]{2}[-][0-9]{2}";////已测试//"^\\d{4}-\\d{2}-\\d{2}$";//"2010-10-31"// "(d{4})(-|/)(d{1,2})2(d{1,2})$";
	/**中文*/
	public static final Pattern CHINESE_REGEX = Pattern.compile("[\u4E00-\u9FFF]");
	
	//时间格式
	public static final String PATTERN_DATE_S = "\\d{4}-\\d{2}-\\d{2}";
	public static final String PATTERN_DATE = "^((\\d{2}(([02468][048])|([13579][26]))"
			+ "[\\-\\/\\s]?((((0?[13578])|(1[02]))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|"
			+ "(3[01])))|(((0?[469])|(11))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\\-\\/\\s]?"
			+ "((0?[1-9])|([1-2][0-9])))))|(\\d{2}(([02468][1235679])|([13579][01345789]))[\\-\\/\\s]?("
			+ "(((0?[13578])|(1[02]))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\\-\\/\\s]?"
			+ "((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\\-\\/\\s]?((0?[1-9])|(1[0-9])|(2[0-8]))))))";


	/** 移动号段正则表达式   */
	public static final String PATTERN_PHONE_MOBILE = "^((13[4-9])|(147)|(15[0-2,7-9])|(178)|(18[2-4,7-8]))\\d{8}|(1705)\\d{7}$";
	/**联通号段正则表达式 */
	public static final String PATTERN_PHONE_UNICOM = "^((13[0-2])|(145)|(15[5-6])|(176)|(18[5,6]))\\d{8}|(1709)\\d{7}$";
	/**电信号段正则表达式  */
	public static final String PATTERN_PHONE_COMM = "^((133)|(153)|(177)|(18[0,1,9])|(149)|(199))\\d{8}$";
	/**虚拟运营商正则表达式  */
	public static final String PATTERN_PHONE_VIR = "^((170))\\d{8}|(1718)|(1719)\\d{7}$";

	/**电话长度*/  
	public static final Integer MOBILE_LENGTH = 11;
	public static final Integer PHONE_LENGTH = 9;

	/**字母开头*/
	public static final Pattern START_WITH_WORD_REGEX = Pattern.compile("^[A-Za-z].*");
	/**纯数字*/
	public static final Pattern NUMERIC_REGEX = Pattern.compile("[0-9]+");
	
	public static final String PATTERN_EMAIL_VALID = "^([a-z0-9A-Z]+[-|_|\\.]?)+[a-z0-9A-Z]@([a-z0-9A-Z]+(-[a-z0-9A-Z]+)?\\.)+[a-zA-Z]{2,}$";


}