package cn.constant;

import java.text.SimpleDateFormat;

/**时间常量*/
public class TimeFormat 
{
	public static final long OFF_SET = 1000l * 60l * 60l * 24l;
	
	//创建SimpleDateFormat对象实例并定义好转换格式
	public static SimpleDateFormat getSimpleDateFormat(String str)
	{
		String format = YYYY_MM_DD;
		if (str.matches(regular_YYYY_MM_DD)){
			format = YYYY_MM_DD;
		}
		if (str.matches(regular_YYYY_MM_DD_HH_MM_SS)){
			format = YYYY_MM_DD_HH_MM_SS;
		}
		if (str.matches(regularDateType3)){
			format = dateType3;
		}
		if (str.matches(regularDateType4)){
			format = dateType4;
		}
		if (str.matches(regularDateType5)){
			format =  dateType5;
		}
		if (str.matches(regular_YYYYMMDD)){
			format =  YYYYMMDD;
		}
		if (str.matches(regular_YYYYMMDDHHMMSS)){
			format = "yyyy-MM-dd'T'HH:mm:ss.SSS Z";
		}
		return new SimpleDateFormat(format);
	}
	private static String  regular_YYYY_MM_DD = "^(?:(?!0000)[0-9]{4}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1[0-9]|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[0-9]{2}(?:0[48]|[2468][048]|[13579][26])|(?:0[48]|[2468][048]|[13579][26])00)-02-29)$";
	private static String regular_YYYY_MM_DD_HH_MM_SS = "^(?:(?!0000)[0-9]{4}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1[0-9]|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[0-9]{2}(?:0[48]|[2468][048]|[13579][26])|(?:0[48]|[2468][048]|[13579][26])00)-02-29)\\s([01][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9]$";
	private static String regular_YYYYMMDD = "^(?:(?!0000)[0-9]{4}(?:(?:0?[1-9]|1[0-2])(?:0?[1-9]|1[0-9]|2[0-8])|(?:0?[13-9]|1[0-2])(?:29|30)|(?:0?[13578]|1[02])31)|(?:[0-9]{2}(?:0[48]|[2468][048]|[13579][26])|(?:0[48]|[2468][048]|[13579][26])00)0?229)$";
	private static String regular_YYYYMMDDHHMMSS = "^(?:(?!0000)[0-9]{4}(?:(?:0?[1-9]|1[0-2])(?:0?[1-9]|1[0-9]|2[0-8])|(?:0?[13-9]|1[0-2])(?:29|30)|(?:0?[13578]|1[02])31)|(?:[0-9]{2}(?:0[48]|[2468][048]|[13579][26])|(?:0[48]|[2468][048]|[13579][26])00)0?229)([01][0-9]|2[0-3])[0-5][0-9][0-5][0-9]$";
	private static String dateType3 = "yyyy/MM/dd";
	private static String regularDateType3 = "^(?:(?!0000)[0-9]{4}/(?:(?:0?[1-9]|1[0-2])/(?:0?[1-9]|1[0-9]|2[0-8])|(?:0?[13-9]|1[0-2])/(?:29|30)|(?:0?[13578]|1[02])/31)|(?:[0-9]{2}(?:0[48]|[2468][048]|[13579][26])|(?:0[48]|[2468][048]|[13579][26])00)/0?2/29)$";
	private static String dateType4 = "yyyy/MM/dd HH:mm:ss";
	private static String regularDateType4 = "^(?:(?!0000)[0-9]{4}/(?:(?:0?[1-9]|1[0-2])/(?:0?[1-9]|1[0-9]|2[0-8])|(?:0?[13-9]|1[0-2])/(?:29|30)|(?:0?[13578]|1[02])/31)|(?:[0-9]{2}(?:0[48]|[2468][048]|[13579][26])|(?:0[48]|[2468][048]|[13579][26])00)/0?2/29)\\s([01][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9]$";
	private static String dateType5 = "yyyy/MM/dd HH:mm";
	private static String regularDateType5 = "^(?:(?!0000)[0-9]{4}/(?:(?:0?[1-9]|1[0-2])/(?:0?[1-9]|1[0-9]|2[0-8])|(?:0?[13-9]|1[0-2])/(?:29|30)|(?:0?[13578]|1[02])/31)|(?:[0-9]{2}(?:0[48]|[2468][048]|[13579][26])|(?:0[48]|[2468][048]|[13579][26])00)/0?2/29)\\s([01][0-9]|2[0-3]):[0-5][0-9]$";

	public static final String YYYY_MM_DD_HH_MM_SS = "yyyy-MM-dd HH:mm:ss";
	public static final String YYYY_MM_DD = "yyyy-MM-dd";
	public static final String YYYYMMDD = "yyyyMMdd";

	public static final SimpleDateFormat UTC2 =new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSS Z");
	public static final SimpleDateFormat SDF_YYYY_MM_DD_HMS = new SimpleDateFormat("yyyy-MM-dd_HHmmss");
	public static final SimpleDateFormat SDF_YYYYMMDDHMS = new SimpleDateFormat(YYYY_MM_DD_HH_MM_SS);
	public static final SimpleDateFormat SDF_YEARMMDD = new SimpleDateFormat(YYYYMMDD);
	public static final SimpleDateFormat SDF_YYYY_MM_DD = new SimpleDateFormat(YYYY_MM_DD);

	public static String[] parsePatterns = {
			"yyyy-MM-dd", "yyyy-MM-dd HH:mm:ss", "yyyy-MM-dd HH:mm", "yyyy-MM",
			"yyyy/MM/dd", "yyyy/MM/dd HH:mm:ss", "yyyy/MM/dd HH:mm", "yyyy/MM",
			"yyyy.MM.dd", "yyyy.MM.dd HH:mm:ss", "yyyy.MM.dd HH:mm", "yyyy.MM"};
}
