package cn.component.rule;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import com.alibaba.fastjson2.JSON;
import cn.facade.abs.IFillRuleHandler;
import cn.orm.abs.ISqlToyDao;
import cn.orm.sqltoy.plus.Wrappers;
import cn.orm.sqltoy.plus.query.LambdaQueryWrapper;
import cn.pojo.atv.SysDepart;
import cn.service.orm.sqltoy.SqlToyDaoImpl;
import cn.facade.util.YouBianCodeUtil;
import cn.util.core.IsKit;

/**
 * @Description: 机构编码生成规则
 */
public class OrgCodeRule implements IFillRuleHandler 
{
	private ISqlToyDao daoService = new SqlToyDaoImpl();

    @Override
    public Object execute(Map<String,Object> params, String formData) 
    {
        String[] strArray = new String[2];
        //定义部门类型
        String orgType = "";
        // 定义新编码字符串
        String newOrgCode = "";
        // 定义旧编码字符串
        String oldOrgCode = "";

        String parentId = null;
        //if (formData != null && formData.size() > 0) {
          //  Object obj = formData.get("parentId");
          //if (obj != null)  parentId = obj.toString();
        if (IsKit.isNotNullOrEmpty(formData)) {
        	parentId = formData;
        } else {
            if (params != null) {
                Object obj = params.get("parentId");
                if (obj != null) parentId = obj.toString();
            }
        }
        
        //     ISysDepartService sysDepartService = (ISysDepartService) SpringContextUtil.getBean("sysDepartServiceImpl");
          // LambdaQueryWrapper<SysDepart> query = new LambdaQueryWrapper<SysDepart>();
          // LambdaQueryWrapper<SysDepart> query1 = new LambdaQueryWrapper<SysDepart>();
        
     // 创建一个List集合,存储查询返回的所有SysDepart对象
        List<?> departList = new ArrayList<>();
        
        //如果是最高级,则查询出同级的org_code, 调用工具类生成编码并返回
        if (IsKit.isNullOrEmpty(parentId)) {
            // 线判断数据库中的表是否为空,空则直接返回初始编码
          //  query1.eq(SysDepart::getParentId, "").or().isNull(SysDepart::getParentId);
            //query1.orderByDesc(SysDepart::getOrgCode);
        	LambdaQueryWrapper<SysDepart> lambdaQueryWrapper = Wrappers.lambdaWrapper(SysDepart.class)
    				.eq(SysDepart::getParentId, "")
    				.or().isNull(SysDepart::getParentId)
    				.orderByDesc(SysDepart::getOrgCode);
    		lambdaQueryWrapper.assemble();

    		System.out.println("WW_1:"+lambdaQueryWrapper.getSqlSegment());
    		System.out.println("WW_2:"+JSON.toJSONString(lambdaQueryWrapper.getSqlSegmentParamMap()));
    		departList = daoService.findBySql(lambdaQueryWrapper.getSqlSegment(),null,SysDepart.class);
    		
          /* Map<String, Object> whereMap = new HashMap<>();
            whereMap.put("parent_id","");
    	    departList = daoService.getList("sys_depart",whereMap,SysDepart.class);*/            
            if (departList == null || departList.size() == 0) {
                strArray[0] = YouBianCodeUtil.getNextYouBianCode(null);
                strArray[1] = "1";
                return strArray;
            } else {
                SysDepart depart = (SysDepart) departList.get(0);
                oldOrgCode = depart.getOrgCode();
                orgType = depart.getOrgType();
                newOrgCode = YouBianCodeUtil.getNextYouBianCode(oldOrgCode);
            }
        } else {//反之则查询出所有同级的部门,获取结果后有两种情况,有同级和没有同级
            // 封装查询同级的条件
           // query.eq(SysDepart::getParentId, parentId);
            // 降序排序query.orderByDesc(SysDepart::getOrgCode);
        	// 查询出同级部门的集合sysDepartService.list(query);
        	LambdaQueryWrapper<SysDepart> lambdaQueryWrapper = Wrappers.lambdaWrapper(SysDepart.class)
    				.eq(SysDepart::getParentId, parentId)
    				.orderByDesc(SysDepart::getOrgCode);
    		lambdaQueryWrapper.assemble();
    		System.out.println("WW_1:"+lambdaQueryWrapper.getSqlSegment());
    		System.out.println("WW_2:"+JSON.toJSONString(lambdaQueryWrapper.getSqlSegmentParamMap()));
    		List<SysDepart> parentList = daoService.findBySql(lambdaQueryWrapper.getSqlSegment(),null,SysDepart.class);
    	
             // 查询出父级部门 SysDepart depart = sysDepartService.getById(parentId);
    		List<?> list = new ArrayList<>();
			Map<String, Object> whereMap = new HashMap<>();
			whereMap.put("dept_id",parentId);
			list = daoService.getEntityList("SysDepart",whereMap,SysDepart.class);
			SysDepart depart = new SysDepart();
			if(IsKit.isNotNullOrEmpty(list)) {
				depart = (SysDepart)list.get(0);
			}    		
    		
            // 获取父级部门的Code
            String parentCode = depart.getOrgCode();
            // 根据父级部门类型算出当前部门的类型
            orgType = String.valueOf(Integer.valueOf(depart.getOrgType()) + 1);
            // 处理同级部门为null的情况
            if (parentList == null || parentList.size() == 0) {
                // 直接生成当前的部门编码并返回
                newOrgCode = YouBianCodeUtil.getSubYouBianCode(parentCode, null);
            } else { //处理有同级部门的情况
                // 获取同级部门的编码,利用工具类
                String subCode = parentList.get(0).getOrgCode();
                // 返回生成的当前部门编码
                newOrgCode = YouBianCodeUtil.getSubYouBianCode(parentCode, subCode);
            }
        }
        // 返回最终封装了部门编码和部门类型的数组
        strArray[0] = newOrgCode;
        strArray[1] = orgType;
        return strArray;
    }
}
