/*
 * Copyright 2014-2021 Sayi
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package cn.report.template.poi.converter;

import cn.report.template.poi.data.RenderData;

/**
 * Convert <T> to RenderData
 * 
 * @author Sayi
 *
 * @param <T>
 * @param <R>
 */
@FunctionalInterface
public interface ToRenderDataConverter<T, R extends RenderData> {

    R convert(T t) throws Exception;

}
