/*
 * Copyright 2014-2021 Sayi
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package cn.report.template.poi.plugin.toc;

import org.apache.poi.xwpf.usermodel.XWPFFieldRun;
import org.apache.poi.xwpf.usermodel.XWPFParagraph;
import org.apache.poi.xwpf.usermodel.XWPFRun;
import org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSimpleField;

import cn.report.template.poi.XWPFTemplate;
import cn.report.template.poi.policy.RenderPolicy;
import cn.report.template.poi.template.ElementTemplate;
import cn.report.template.poi.template.run.RunTemplate;
import cn.report.template.poi.xwpf.XWPFOnOff;

/**
 * Experimental: Table of contents
 */
public class TOCRenderPolicy implements RenderPolicy {

    @Override
    public void render(ElementTemplate eleTemplate, Object data, XWPFTemplate template) {
        XWPFRun run = ((RunTemplate) eleTemplate).getRun();
        run.setText("", 0);

        XWPFParagraph tocPara = (XWPFParagraph) run.getParent();
        XWPFFieldRun fieldRun = tocPara.insertNewFieldRun(0);

        CTSimpleField toc = fieldRun.getCTField();
        toc.setInstr("TOC \\o");
        toc.setDirty(XWPFOnOff.ON);
    }

}