-- N1 国家信息
DROP TABLE IF EXISTS `atv_country`;
CREATE TABLE `atv_country` (
  `id` varchar(36) NOT NULL,
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `name` varchar(32) COMMENT '国家名称',
  `country_code` varchar(32) COMMENT '国家编码',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT = '国家信息';
INSERT INTO `atv_country` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `name`, `country_code`) VALUES ('1308685950451240961', 'youjia', '2020-09-23 16:33:39', NULL, NULL, 'A03', '中国', 'CN');
INSERT INTO `atv_country` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `name`, `country_code`) VALUES ('1308687362937638913', 'youjia', '2020-09-23 16:39:16', NULL, NULL, 'A03', '奥地利', 'AT');
INSERT INTO `atv_country` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `name`, `country_code`) VALUES ('1309049167484600322', 'youjia', '2020-09-24 16:36:57', NULL, NULL, 'A03', '智利', 'CL');
INSERT INTO `atv_country` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `name`, `country_code`) VALUES ('1316615005259505665', 'youjia', '2020-10-15 13:40:53', NULL, NULL, 'A03', '捷克', 'CZ');
INSERT INTO `atv_country` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `name`, `country_code`) VALUES ('1316623529448382466', 'youjia', '2020-10-15 14:14:45', NULL, NULL, 'A03', '阿根廷', 'AR');

-- N2 区域信息
DROP TABLE IF EXISTS `atv_area`;
CREATE TABLE `atv_area` (
  `id` varchar(36) COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `name` varchar(32) COMMENT '地区名称',
  `area_code` varchar(32) COMMENT '地区编码',
  `country_id` varchar(32) COMMENT '国家(atv_country.id)', -- 为什仫不用country_code
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT = '区域信息';
INSERT INTO `atv_area` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `name`, `area_code`, `country_id`) VALUES ('1308320004339453954', 'liyang', '2020-09-22 16:19:31', NULL, NULL, 'A03A01', '北京市', 'PEK', '1308685950451240961');
INSERT INTO `atv_area` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `name`, `area_code`, `country_id`) VALUES ('1308334845108211714', 'liyang', '2020-09-22 17:18:29', NULL, NULL, 'A03A01', '沈阳市', 'SHE', '1308685950451240961');
INSERT INTO `atv_area` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `name`, `area_code`, `country_id`) VALUES ('1308687553237405698', 'liyang', '2020-09-23 16:40:01', NULL, NULL, 'A03A01', '维也纳', '743', '1308687362937638913');

-- N3 仓库基础信息：：商品类型
DROP TABLE IF EXISTS `atv_product_type`;
CREATE TABLE `atv_product_type` (
  `id` varchar(36) NOT NULL,
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime  COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `name` varchar(32) COMMENT '类型名称',
  `orders` int COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


-- N4 仓库基础信息：仓库管理
DROP TABLE IF EXISTS `atv_warehouse`;
CREATE TABLE `atv_warehouse` (
  `id` varchar(36) NOT NULL,
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `sn` varchar(32) COMMENT '编号',
  `name` varchar(32) COMMENT '名称',
  `remark` varchar(100) COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `atv_warehouse` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `name`, `remark`) 
VALUES ('1342381936641904641', 'zuojie', '2020-12-25 16:09:29', NULL, NULL, 'A03A01', 'csck', '测试仓库', NULL);


-- N5 仓库基础信息：供应商
DROP TABLE IF EXISTS `atv_supplier`;
CREATE TABLE `atv_supplier` (
  `id` varchar(36) NOT NULL,
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `sn` varchar(32) COMMENT '编号',
  `name` varchar(32) COMMENT '名称',
  `contact` varchar(32) COMMENT '联系人',
  `tel` varchar(32)  COMMENT '联系电话',
  `scope` varchar(100) COMMENT '经营范围',
  `address` varchar(100)  COMMENT '地址',
  `remark` varchar(100) COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


-- N6 仓库基础信息：商品管理(购买商品入库的依据就是此表)
-- 同种商品的界定？UNIQUE KEY `product_id`(`sn`) USING BTREE,
DROP TABLE IF EXISTS `atv_product`;
CREATE TABLE `atv_product` (
  `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `sn` varchar(32) COMMENT '商品编号',
  `name` varchar(32) COMMENT '商品名称',
  `specifications` varchar(32) COMMENT '规格/型号',
  `unit` varchar(32) COMMENT '单位',
  `supplier_id` varchar(32) COMMENT '商品供应商',
  `threshold` int COMMENT '阀值',
  `remark` varchar(32) COMMENT '备注',
  `product_type_id` varchar(32) COMMENT '商品类型(atv_product_type.id)',
  PRIMARY KEY (`id`) USING BTREE,
  -- sam
  UNIQUE KEY `product_id`(`sn`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- N7 基础数据：设备阈值
DROP TABLE IF EXISTS `atv_threshold`;
CREATE TABLE `atv_threshold` (
  `id` varchar(35) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `board_card_type` int NOT NULL COMMENT '板卡类型',  
  `temperature_max` double(10,4) DEFAULT 0.0 COMMENT '最高温度',
  `volume_max` double(10,4) DEFAULT 0.0 COMMENT '最大音量',
  `voltage_min5` double(10,4) DEFAULT 0.0 COMMENT '5V最小电压',
  `voltage_max3v3` double(10,4) DEFAULT 0.0 COMMENT '3.3V最大电压',
  `current_min5` double(10,4) DEFAULT 0.0 COMMENT '5V最小电流',
  `voltage_min3v3` double(10,4) DEFAULT 0.0 COMMENT '3.3V最小电压',
  `current_min12` double(10,4) DEFAULT 0.0 COMMENT '12V最小电流',
  `voltage_min12` double(10,4) DEFAULT 0.0 COMMENT '12V最小电压',
  `current_min3v3` double(10,4) DEFAULT 0.0 COMMENT '3.3V最小电流',
  `current_max3v3` double(10,4) DEFAULT 0.0 COMMENT '3.3V最大电流',
  `voltage_max12` double(10,4) DEFAULT 0.0 COMMENT '12V最大电压',
  `voltage_max5` double(10,4) DEFAULT 0.0 COMMENT '5V最大电压',
  `current_max12` double(10,4) DEFAULT 0.0 COMMENT '12V最大电流',
  `current_max5` double(10,4) DEFAULT 0.0 COMMENT '5V最大电流',
  `current_max_wait` double(10,4) DEFAULT 0.0 COMMENT '最大待机电流',
  `life` int DEFAULT 0 COMMENT '寿命',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `codeId`(`board_card_type`) USING BTREE,
  UNIQUE INDEX `code`(`board_card_type`) USING BTREE
)  ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `atv_threshold` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `board_card_type`, `temperature_max`, `volume_max`, `voltage_min5`, `voltage_max3v3`, `current_min5`, `voltage_min3v3`, `current_min12`, `voltage_min12`, `current_min3v3`, `current_max3v3`, `voltage_max12`, `voltage_max5`, `current_max12`, `current_max5`, `current_max_wait`, `life`) VALUES ('1330034435280658448', 'chenyu', '2020-11-21 14:24:54', NULL, NULL, 'A03A01', 1, 80.0000, 80.0000, 4.5000, 3.4000, 0.9000, 3.2000, 2.4000, 11.5000, 0.6000, 0.8000, 12.5000, 5.5000, 2.6000, 1.1000, NULL, 360000);
INSERT INTO `atv_threshold` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `board_card_type`, `temperature_max`, `volume_max`, `voltage_min5`, `voltage_max3v3`, `current_min5`, `voltage_min3v3`, `current_min12`, `voltage_min12`, `current_min3v3`, `current_max3v3`, `voltage_max12`, `voltage_max5`, `current_max12`, `current_max5`, `current_max_wait`, `life`) VALUES ('1330034435280658463', 'chenyu', '2020-11-21 14:24:54', NULL, NULL, 'A03A01', 2, 80.0000, 80.0000, 4.5000, 3.4000, 0.9000, 3.2000, 2.4000, 11.5000, 0.6000, 0.8000, 12.5000, 5.5000, 2.6000, 1.1000, NULL, 3600);
INSERT INTO `atv_threshold` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `board_card_type`, `temperature_max`, `volume_max`, `voltage_min5`, `voltage_max3v3`, `current_min5`, `voltage_min3v3`, `current_min12`, `voltage_min12`, `current_min3v3`, `current_max3v3`, `voltage_max12`, `voltage_max5`, `current_max12`, `current_max5`, `current_max_wait`, `life`) VALUES ('1330034435280658478', 'chenyu', '2020-11-21 14:24:54', NULL, NULL, 'A03A01', 3, 80.0000, 80.0000, 4.5000, 3.4000, 0.9000, 3.2000, 2.4000, 11.5000, 0.6000, 0.8000, 12.5000, 5.5000, 2.6000, 1.1000, NULL, 10000);
INSERT INTO `atv_threshold` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `board_card_type`, `temperature_max`, `volume_max`, `voltage_min5`, `voltage_max3v3`, `current_min5`, `voltage_min3v3`, `current_min12`, `voltage_min12`, `current_min3v3`, `current_max3v3`, `voltage_max12`, `voltage_max5`, `current_max12`, `current_max5`, `current_max_wait`, `life`) VALUES ('1330034435280658493', 'chenyu', '2020-11-21 14:24:54', NULL, NULL, 'A03A01', 4, 80.0000, 80.0000, 4.5000, 3.4000, 0.9000, 3.2000, 2.4000, 11.5000, 0.6000, 0.8000, 12.5000, 5.5000, 2.6000, 1.1000, NULL, 36000);
INSERT INTO `atv_threshold` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `board_card_type`, `temperature_max`, `volume_max`, `voltage_min5`, `voltage_max3v3`, `current_min5`, `voltage_min3v3`, `current_min12`, `voltage_min12`, `current_min3v3`, `current_max3v3`, `voltage_max12`, `voltage_max5`, `current_max12`, `current_max5`, `current_max_wait`, `life`) VALUES ('1330034435280658508', 'chenyu', '2020-11-21 14:24:54', NULL, NULL, 'A03A01', 5, 80.0000, 80.0000, 4.5000, 3.4000, 0.9000, 3.2000, 2.4000, 11.5000, 0.6000, 0.8000, 12.5000, 5.5000, 2.6000, 1.1000, NULL, 18000);
INSERT INTO `atv_threshold` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `board_card_type`, `temperature_max`, `volume_max`, `voltage_min5`, `voltage_max3v3`, `current_min5`, `voltage_min3v3`, `current_min12`, `voltage_min12`, `current_min3v3`, `current_max3v3`, `voltage_max12`, `voltage_max5`, `current_max12`, `current_max5`, `current_max_wait`, `life`) VALUES ('1330034435280658523', 'chenyu', '2020-11-21 14:24:54', NULL, NULL, 'A03A01', 6, 80.0000, 80.0000, 4.5000, 3.4000, 0.9000, 3.2000, 2.4000, 11.5000, 0.6000, 0.8000, 12.5000, 5.5000, 2.6000, 1.1000, NULL, 5000);
INSERT INTO `atv_threshold` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `board_card_type`, `temperature_max`, `volume_max`, `voltage_min5`, `voltage_max3v3`, `current_min5`, `voltage_min3v3`, `current_min12`, `voltage_min12`, `current_min3v3`, `current_max3v3`, `voltage_max12`, `voltage_max5`, `current_max12`, `current_max5`, `current_max_wait`, `life`) VALUES ('1330034435280658538', 'chenyu', '2020-11-21 14:24:54', NULL, NULL, 'A03A01', 7, 80.0000, 80.0000, 4.5000, 3.4000, 0.9000, 3.2000, 2.4000, 11.5000, 0.6000, 0.8000, 12.5000, 5.5000, 2.6000, 1.1000, NULL, 50000);
INSERT INTO `atv_threshold` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `board_card_type`, `temperature_max`, `volume_max`, `voltage_min5`, `voltage_max3v3`, `current_min5`, `voltage_min3v3`, `current_min12`, `voltage_min12`, `current_min3v3`, `current_max3v3`, `voltage_max12`, `voltage_max5`, `current_max12`, `current_max5`, `current_max_wait`, `life`) VALUES ('1330034435280658553', 'chenyu', '2020-11-21 14:24:54', NULL, NULL, 'A03A01', 8, 80.0000, 80.0000, 4.5000, 3.4000, 0.9000, 3.2000, 2.4000, 11.5000, 0.6000, 0.8000, 12.5000, 5.5000, 2.6000, 1.1000, NULL, 100000);
-- select id from atv_threshold;


-- N8 基础数据： 线路信息
DROP TABLE IF EXISTS `atv_line`;
CREATE TABLE `atv_line` (
  `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `name` varchar(32) DEFAULT NULL COMMENT '线路名称',
  `country_id` varchar(32) DEFAULT NULL COMMENT '国家(atv_country.uuid)',
  `area_id` varchar(32) DEFAULT NULL COMMENT '地区(atv_area.uuid)',
  `radio_branch_scu_quantity` int DEFAULT '0' COMMENT '广播分机SCU',
  `map_lcd_quantity` int DEFAULT '0' COMMENT '动态地图LCD',
  `radio_control_dcu_quantity` int DEFAULT '0' COMMENT '广播控制盒DCU',
  `driver_camera_quantity` int DEFAULT '0' COMMENT '司机摄像机',
  `traffic_camera_quantity` int DEFAULT '0' COMMENT '路况摄像机',
  `monitor_master_quantity` int DEFAULT '0' COMMENT '监控主机',
  `end_led_quantity` int DEFAULT '0' COMMENT '终点LED',
  `guest_camera_quantity` int DEFAULT '0' COMMENT '客室摄像机',
  `radio_master_pcu_quantity` int DEFAULT '0' COMMENT '广播主机PCU',
  `alarm_pecu_quantity` int DEFAULT '0' COMMENT '报警器PECU',
  `one_screen_quantity` int DEFAULT '0' COMMENT '一体屏',
  `guest_lcd_quantity` int DEFAULT '0' COMMENT '客室LCD',
  `pis_master_quantity` int DEFAULT '0' COMMENT 'PIS主机',
  `workers` varchar(200) COMMENT '维护人员',
  `sn` varchar(32) COMMENT '线路编号',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY (`country_id`,`area_id`,`sn`,`name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `atv_line` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `name`, `country_id`, `area_id`, `radio_branch_scu_quantity`, `map_lcd_quantity`, `radio_control_dcu_quantity`, `driver_camera_quantity`, `traffic_camera_quantity`, `monitor_master_quantity`, `end_led_quantity`, `guest_camera_quantity`, `radio_master_pcu_quantity`, `alarm_pecu_quantity`, `one_screen_quantity`, `guest_lcd_quantity`, `pis_master_quantity`, `workers`, `sn`) VALUES ('1330003687274242049', 'chenyu', '2020-11-21 12:22:44', 'admin', '2021-01-19 23:22:30', 'A03A01', '首都机场线', '1308685950451240961', '1308320004339453954', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'fuyulan', 'SDJC');
-- N9 基础数据： 线路站点信息
DROP TABLE IF EXISTS `atv_line_site`;
CREATE TABLE `atv_line_site` (
  `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门(atv_line.sys_org_code)',
  `sn` varchar(32) COMMENT '站点编号',
  `name` varchar(32) COMMENT '站名',
  `in_music_sn` varchar(32) COMMENT '进站语音编号',
  `out_music_sn` varchar(32) COMMENT '出战语音编号',
  `open_door_direction` int COMMENT '开门侧', -- 0不开,1左侧,2右侧
  `orders` int DEFAULT NULL COMMENT '排序(页面上的xh)',
  `line_id` varchar(32) COMMENT '线路(atv_line.id)',
  `direction` int DEFAULT NULL COMMENT '方向', -- 0上行,1下行
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY (`sn`,`name`,`line_id`,`direction`) USING BTREE
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `atv_line_site` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `name`, `in_music_sn`, `out_music_sn`, `open_door_direction`, `orders`, `line_id`, `direction`) VALUES ('1330010346474233857', 'chenyu', '2020-11-21 12:49:11', NULL, NULL, 'A03A01', '104', '2号航站楼', '2004.wav', '3004.wav', 1, 1, '1330003687274242049', 1);
INSERT INTO `atv_line_site` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `name`, `in_music_sn`, `out_music_sn`, `open_door_direction`, `orders`, `line_id`, `direction`) VALUES ('1330010622761426946', 'chenyu', '2020-11-21 12:50:17', NULL, NULL, 'A03A01', '102', '三元桥', '2002.wav', '3002.wav', 1, 2, '1330003687274242049', 1);
INSERT INTO `atv_line_site` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `name`, `in_music_sn`, `out_music_sn`, `open_door_direction`, `orders`, `line_id`, `direction`) VALUES ('1330010791317921794', 'chenyu', '2020-11-21 12:50:57', NULL, NULL, 'A03A01', '101', '东直门', '2001.wav', '3001.wav', 1, 3, '1330003687274242049', 1);
INSERT INTO `atv_line_site` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `name`, `in_music_sn`, `out_music_sn`, `open_door_direction`, `orders`, `line_id`, `direction`) VALUES ('1330011677750517761', 'chenyu', '2020-11-21 12:54:29', NULL, NULL, 'A03A01', '001', '东直门', '0001.wav', '1001.wav', 1, 1, '1330003687274242049', 0);
INSERT INTO `atv_line_site` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `name`, `in_music_sn`, `out_music_sn`, `open_door_direction`, `orders`, `line_id`, `direction`) VALUES ('1330011962124328962', 'chenyu', '2020-11-21 12:55:36', NULL, NULL, 'A03A01', '002', '三元桥', '0002.wav', '1002.wav', 1, 2, '1330003687274242049', 0);
INSERT INTO `atv_line_site` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `name`, `in_music_sn`, `out_music_sn`, `open_door_direction`, `orders`, `line_id`, `direction`) VALUES ('1330012093783531522', 'chenyu', '2020-11-21 12:56:08', NULL, NULL, 'A03A01', '003', '3号航站楼', '0003.wav', '1003.wav', 1, 3, '1330003687274242049', 0);
INSERT INTO `atv_line_site` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `name`, `in_music_sn`, `out_music_sn`, `open_door_direction`, `orders`, `line_id`, `direction`) VALUES ('1339760597426794497', 'chenyu', '2020-12-18 10:33:13', NULL, NULL, 'A03A01', '004', '2号航站楼', '0004.wav', '1004.wav', 1, 4, '1330003687274242049', 0);


-- N10 基础数据：车辆(列车)信息
DROP TABLE IF EXISTS `atv_train`;
CREATE TABLE `atv_train` (
  `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `sn` varchar(32) COMMENT '列车编号',
  `group_quantity` int COMMENT '组数(编组数)(具体信息见atv_carriage)',
  `remarks` varchar(500) COMMENT '备注',
  `country_id` varchar(32) COMMENT '国家',
  `area_id` varchar(32) COMMENT '地区',
  `line_id` varchar(32) COMMENT '线路',
  `train_status` int COMMENT '列车状态(train_status)', -- 1运营，2月休，3段备
  `now_line_site_id` varchar(32) COMMENT '当前站点?',
  `direction` int DEFAULT NULL COMMENT '方向(direction)', -- 0上行,1下行
  `online_status` int DEFAULT '0' COMMENT '在线状态(online_status)', -- 0未知，1在线，2离线
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY (`sn`,`country_id`,`line_id`,`area_id`) USING BTREE
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `atv_train` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `group_quantity`, `remarks`, `country_id`, `area_id`, `line_id`, `train_status`, `now_line_site_id`, `direction`, `online_status`) 
VALUES ('1330008631448494082', 'chenyu', '2020-11-21 12:42:22', 'admin', '2022-08-04 16:59:46', 'A03A01', '101', 4, '', '1308685950451240961', '1308320004339453954', '1330003687274242049', 0, NULL, NULL, 1);
-- N11 车厢表信息 int(36) AUTO_INCREMENT 
DROP TABLE IF EXISTS `atv_carriage`;
CREATE TABLE `atv_carriage` (
  `id` varchar(35) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) DEFAULT NULL COMMENT '所属部门',
  `sn` varchar(32) COMMENT '车厢编号',
  `carriage_type` int COMMENT '车厢类型(1车头、2车厢)', -- ,3尾车
  `train_id` varchar(32) COMMENT '列车(atv_train.id)',
  `orders` int DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `atv_carriage` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `carriage_type`, `train_id`, `orders`) 
VALUES ('1330012553177260034', 'chenyu', '2020-11-21 12:57:57', 'admin', '2022-08-04 16:59:46', 'A03A01', 'MC1', 1, '1330008631448494082', 1);
INSERT INTO `atv_carriage` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `carriage_type`, `train_id`, `orders`) 
VALUES ('1330012635284955138', 'chenyu', '2020-11-21 12:58:17', 'admin', '2022-08-04 16:59:46', 'A03A01', 'C1', 2, '1330008631448494082', 2);
INSERT INTO `atv_carriage` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `carriage_type`, `train_id`, `orders`) 
VALUES ('1330012692092608513', 'chenyu', '2020-11-21 12:58:30', 'admin', '2022-08-04 16:59:46', 'A03A01', 'C2', 2, '1330008631448494082', 3);
INSERT INTO `atv_carriage` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `carriage_type`, `train_id`, `orders`)
VALUES ('1330012760078082049', 'chenyu', '2020-11-21 12:58:47', 'admin', '2022-08-04 16:59:46', 'A03A01', 'MC2', 1, '1330008631448494082', 4);

-- N12 板卡表
DROP TABLE IF EXISTS `atv_board_card`;
CREATE TABLE `atv_board_card` (
  `id` varchar(36) COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `sn` varchar(32) COMMENT '板卡编号',
  `board_card_type` int COMMENT '板卡类型(字典board_card_type)',
  `item_id` varchar(32) COMMENT '项目(atv_item)', -- 新版不需要
  `area_id` varchar(32) COMMENT '城市(atv_area)',
  `line_id` varchar(32) COMMENT '线路(atv_line)',
  `train_id` varchar(32) COMMENT '列车(atv_train.id)',
  `carriage_id` varchar(32) COMMENT '车厢(atv_carriage.id)',
  `test_time` datetime COMMENT '测试时间',
  `working_hours` int COMMENT '工作时长',
  `country_id` varchar(32) COMMENT '国家(tv_country)',
  `equipment_id` varchar(32) COMMENT '设备(atv_equipment.id)',
  `edition` varchar(32) COMMENT '固件版本',
  `operate_edition` varchar(32) COMMENT '运营版本',
  PRIMARY KEY (`id`) USING BTREE
  -- sam
  -- UNIQUE KEY (`sn`,`country_id`,`area_id`,`line_id`,`train_id`,`carriage_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330026569207439362', 'zuojie', '2020-11-21 13:53:39', NULL, NULL, 'A03A01', 'DYB0001', 1, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012553177260034', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014184031707138', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330027238228287489', 'zuojie', '2020-11-21 13:56:18', NULL, NULL, 'A03A01', 'DYB0002', 1, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012553177260034', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014184031707138', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330027394004738050', 'zuojie', '2020-11-21 13:56:56', NULL, NULL, 'A03A01', 'DYB0003', 1, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012553177260034', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014600551260161', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330027483922227201', 'zuojie', '2020-11-21 13:57:17', NULL, NULL, 'A03A01', 'DYB0004', 1, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012553177260034', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014864217792514', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330027715439419393', 'zuojie', '2020-11-21 13:58:12', NULL, NULL, 'A03A01', 'KZB0001', 3, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012553177260034', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014766742167554', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330027796003610625', 'zuojie', '2020-11-21 13:58:31', NULL, NULL, 'A03A01', 'KZB0002', 3, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012553177260034', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014864217792514', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330028183817347073', 'zuojie', '2020-11-21 14:00:04', NULL, NULL, 'A03A01', 'CLB0001', 4, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012553177260034', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330015203239190529', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330028329892372482', 'zuojie', '2020-11-21 14:00:39', NULL, NULL, 'A03A01', 'GFB0001', 5, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012553177260034', '2020-11-18 00:00:00', 30, '1308685950451240961', '1330014864217792514', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330028400893550593', 'zuojie', '2020-11-21 14:00:56', NULL, NULL, 'A03A01', 'GFB0002', 5, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012553177260034', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014996640358402', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330028748978839553', 'zuojie', '2020-11-21 14:02:19', NULL, NULL, 'A03A01', 'DYB0005', 1, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012635284955138', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014392949989377', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330028838191685633', 'zuojie', '2020-11-21 14:02:40', NULL, NULL, 'A03A01', 'DYB0006', 1, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012635284955138', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330015087614812161', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330028966411558913', 'zuojie', '2020-11-21 14:03:11', NULL, NULL, 'A03A01', 'DYB0007', 1, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012692092608513', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014766742167554', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330029156484833281', 'zuojie', '2020-11-21 14:03:56', NULL, NULL, 'A03A01', 'DYB0008', 1, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012692092608513', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330015087614812161', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330029233467088897', 'zuojie', '2020-11-21 14:04:14', NULL, NULL, 'A03A01', 'DYB0009', 1, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012760078082049', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014864217792514', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330029312907206658', 'zuojie', '2020-11-21 14:04:33', NULL, NULL, 'A03A01', 'DYB0010', 1, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012760078082049', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330015087614812161', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330029426539290625', 'zuojie', '2020-11-21 14:05:00', NULL, NULL, 'A03A01', 'DYB0011', 1, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012760078082049', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330015203239190529', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330029539395428354', 'zuojie', '2020-11-21 14:05:27', NULL, NULL, 'A03A01', 'DYB0012', 1, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012760078082049', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330015087614812161', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330029732878671873', 'zuojie', '2020-11-21 14:06:13', NULL, NULL, 'A03A01', 'KZB0003', 3, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012635284955138', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330015087614812161', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330029848507244546', 'zuojie', '2020-11-21 14:06:41', NULL, NULL, 'A03A01', 'KZB0004', 3, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012692092608513', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014392949989377', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330029938957410306', 'zuojie', '2020-11-21 14:07:02', NULL, NULL, 'A03A01', 'KZB0005', 3, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012760078082049', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014600551260161', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330030066694938626', 'zuojie', '2020-11-21 14:07:33', NULL, NULL, 'A03A01', 'KZB0006', 3, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012760078082049', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014184031707138', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330030291429941250', 'zuojie', '2020-11-21 14:08:26', NULL, NULL, 'A03A01', 'CLB0002', 4, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012760078082049', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014392949989377', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330030443859337218', 'zuojie', '2020-11-21 14:09:03', NULL, NULL, 'A03A01', 'GFB0003', 5, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012635284955138', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014392949989377', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330030529934843905', 'zuojie', '2020-11-21 14:09:23', NULL, NULL, 'A03A01', 'GFB0004', 5, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012635284955138', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014184031707138', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330030609790197761', 'zuojie', '2020-11-21 14:09:42', NULL, NULL, 'A03A01', 'GFB0005', 5, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012692092608513', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014392949989377', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330030681177251842', 'zuojie', '2020-11-21 14:09:59', NULL, NULL, 'A03A01', 'GFB0006', 5, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012692092608513', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014392949989377', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330030771883270145', 'zuojie', '2020-11-21 14:10:21', NULL, NULL, 'A03A01', 'GFB0007', 5, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012760078082049', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014392949989377', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330030852426489858', 'zuojie', '2020-11-21 14:10:40', NULL, NULL, 'A03A01', 'GFB0008', 5, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012760078082049', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014392949989377', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330031003027169282', 'zuojie', '2020-11-21 14:11:16', NULL, NULL, 'A03A01', 'YPB0001', 2, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012553177260034', '2020-11-21 00:00:00', 456, '1308685950451240961', '1330014184031707138', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330031080890228738', 'zuojie', '2020-11-21 14:11:35', NULL, NULL, 'A03A01', 'YPB0002', 2, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012553177260034', '2020-11-19 00:00:00', 30, '1308685950451240961', '1330014600551260161', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330031144475877377', 'zuojie', '2020-11-21 14:11:50', NULL, NULL, 'A03A01', 'YPB0003', 2, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012635284955138', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014600551260161', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330031222011781121', 'zuojie', '2020-11-21 14:12:08', NULL, NULL, 'A03A01', 'YPB0004', 2, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012692092608513', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014600551260161', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330031291423318018', 'zuojie', '2020-11-21 14:12:25', NULL, NULL, 'A03A01', 'YPB0005', 2, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012760078082049', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014392949989377', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330031366920790017', 'zuojie', '2020-11-21 14:12:43', NULL, NULL, 'A03A01', 'YPB0006', 2, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012760078082049', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014184031707138', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330031564585754625', 'zuojie', '2020-11-21 14:13:30', NULL, '2021-01-19 10:59:31', 'A03A01', 'KZH0001', 3, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012553177260034', '2020-11-21 00:00:00', 10000, '1308685950451240961', '1330014600551260161', NULL, NULL);
INSERT INTO `atv_board_card` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `board_card_type`, `item_id`, `area_id`, `line_id`, `train_id`, `carriage_id`, `test_time`, `working_hours`, `country_id`, `equipment_id`, `edition`, `operate_edition`) VALUES ('1330031658412335105', 'zuojie', '2020-11-21 14:13:52', NULL, NULL, 'A03A01', 'KZH0002', 3, '1330025783077429249', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012760078082049', '2020-11-21 00:00:00', 30, '1308685950451240961', '1330014600551260161', NULL, NULL);


-- N13 板卡测试总表
DROP TABLE IF EXISTS `atv_board_card_test`;
CREATE TABLE `atv_board_card_test` (
  `id` varchar(36) COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `tester` varchar(64) COMMENT '测试人',
  `test_time` datetime COMMENT '测试时间',
  `serial_no` varchar(64) COMMENT '序号',
  `board_card_id` varchar(32) COMMENT '板卡(atv_board_card.id)',
  `line_id` varchar(32) COMMENT '线路(atv_line.id)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
-- 2023.2.13
ALTER TABLE atv_board_card_test add sn varchar(20) COMMENT '板卡编号';
INSERT INTO `atv_board_card_test` (`id`, `tester`, `test_time`, `board_card_id`,`line_id`) 
VALUES ('1330', 'zuojie', '2020-11-21 14:13:52', '1330031658412335105','1566596794266218497');
-- N14 板卡测试子表
DROP TABLE IF EXISTS `atv_board_card_test_item`;
CREATE TABLE `atv_board_card_test_item` (
  `id` varchar(36) NOT NULL,
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `serial_no` varchar(64) COMMENT '序号',
  `item` varchar(64) COMMENT '测试项目',
  `test_result` varchar(64) COMMENT '测试结果',
  `unit` varchar(64) COMMENT '单位',
  `reference_value` varchar(64) COMMENT '参考值',
  `board_card_test_id` varchar(32) COMMENT '板卡测试(atv_board_card_test.id)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- N15 板卡老化表
DROP TABLE IF EXISTS `atv_board_card_ageing`;
CREATE TABLE `atv_board_card_ageing` (
  `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `start_time` datetime COMMENT '开始时间',
  `end_time` datetime COMMENT '结束时间',
  `submit_time` datetime COMMENT '提交时间',
  `board_card_id` varchar(32) COMMENT '板卡(atv_board_card.id)',
  `working_hours` decimal(10,1) COMMENT '工作时长',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


-- N16 板卡故障表：
DROP TABLE IF EXISTS `atv_board_card_fault`;
CREATE TABLE `atv_board_card_fault` (
   `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `sn` varchar(32) COMMENT '故障编号',
  `country_id` varchar(32) COMMENT '国家',
  `area_id` varchar(32) COMMENT '地区',
  `line_id` varchar(32) COMMENT '线路',
  `train_id` varchar(32) COMMENT '列车',
  `address` varchar(500) COMMENT '故障位置',
  `phenomenon` varchar(500) COMMENT '故障现象',
  `handle_mode` varchar(500) COMMENT '处理措施',
  `handle_outcome` varchar(500) COMMENT '处理结果',
  `fault_status` int COMMENT '故障状态(1)',
  `is_read` int DEFAULT 0 COMMENT '是否已读',  -- false0未读；1已读 待验证 
  `submit_user_name` varchar(32) COMMENT '报修人名',
  `worker_user_id` varchar(32) COMMENT '处理人',
  `submit_user_id` varchar(32) COMMENT '报修人',
  `worker_user_name` varchar(32) COMMENT '处理人名',
  `is_send` int DEFAULT '0' COMMENT '是否主管派单',
  `fault_source` int COMMENT '故障来源(1人工上报2平台智能检测；其他设备自检3)',
  `fault_level` int COMMENT '故障等级',
   -- 2023.2.13
   finish_time datetime COMMENT '完成时间',
   is_finish int COMMENT '是否完成',  -- 约定：0未完成 1：完成 
   -- XBM add
   -- `board_card_id` varchar(32) '' COMMENT '板卡(atv_board_card.id)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
--  2923.2.13 新增
-- ALTER TABLE atv_board_card_fault add finish_time datetime COMMENT '完成时间';
-- ALTER TABLE atv_board_card_fault add is_finish int COMMENT '是否完成';--  约定：0未完成 1：完成 


-- alter table atv_board_card_fault ADD `fault_level` int COMMENT '故障等级'; 
-- alter table atv_board_card_fault ADD `board_card_id` varchar(32) COMMENT '板卡(atv_board_card.id)'; 
-- update atv_board_card_fault set fault_status =2;
-- board_card_fault_id ='2022092615105891514300259'
-- select  count(1)  FROM atv_board_card_fault_handle WHERE (board_card_fault_id ='2022092615105891514300259')
-- N17 板卡故障文件列表:是否需要board_card_id？需要进一步确认
DROP TABLE IF EXISTS `atv_board_card_fault_file`;
CREATE TABLE `atv_board_card_fault_file` (
  `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `fault_status` int COMMENT '故障状态',
  `file_type` int COMMENT '文件类型(2:媒体文件;1:文档文件；0:未知)', 
   -- 文件名
  `link` varchar(500) COMMENT '链接',
  `board_card_fault_id` varchar(32) COMMENT '板卡故障单(atv_board_card_fault.id)',
  PRIMARY KEY (`id`) USING BTREE
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
-- N18 板卡故障处理表。是否需要board_card_id？需要进一步确认
DROP TABLE IF EXISTS `atv_board_card_fault_handle`;
CREATE TABLE `atv_board_card_fault_handle` (
  `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `remarks` varchar(500) COMMENT '备注',
  `fault_status` int COMMENT '故障状态',
  `gps` varchar(64) COMMENT 'GPS(,分割经纬度)',
  `board_card_fault_id` varchar(32) COMMENT '板卡故障单(atv_board_card_fault.id)',
  `send_user_id` varchar(32) COMMENT '指派工人',
  `handle_user_id` varchar(32) COMMENT '处理人',
  `handle_user_name` varchar(32) COMMENT '处理人名',
  `send_user_name` varchar(32) COMMENT '指派工人名',
  `send_user_phone` varchar(32) COMMENT '指派工人电话',
  `handle_user_phone` varchar(32) COMMENT '处理工人电话',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT into atv_board_card_fault_handle value('1','','2022-02-01','','2022-02-01','','1','2','121.238825, 31.353284','2022092615105891514300259','2','3','4','5','6','56');
-- update atv_board_card_fault_handle set fault_status =2;
-- N19 板卡故障分析表
DROP TABLE IF EXISTS `atv_board_card_fault_analyse`;
CREATE TABLE `atv_board_card_fault_analyse` (
  `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `carriage_id` varchar(32) COMMENT '车厢',
  `board_card_type` int COMMENT '板卡类型',
  `board_card_id` varchar(32) COMMENT '板卡(atv_board_card.id)',
  `board_card_fault_id` varchar(32) COMMENT '板卡故障单(atv_board_card_fault.id)',
  `equipment_type` int COMMENT '设备类型',
  `equipment_id` varchar(32) COMMENT '设备',
  `carriage_sn` varchar(32) COMMENT '车厢sn',
  `equipment_sn` varchar(32) COMMENT '设备编号',
  `board_card_sn` varchar(32) COMMENT '板卡编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT into atv_board_card_fault_analyse value('1','','2022-02-01','','2022-02-01','','1','8','7','2022092615105891514300259' ,'2','3','4','5','6');
 
 
-- 入库需要操作的表：atv_inventory, atv_output_and_input_stock_item和atv_output_and_input_stock
--  库存表 ->  出入库单表  ->  出入库单表
-- N20 库存管理：库存表。(货品=品目=商品)
-- 新生成库存表一条记录时进行插入(新增一条全新的出入库单时); 否则 只更新库存量字段quantity
DROP TABLE IF EXISTS `atv_inventory`;
CREATE TABLE `atv_inventory` (
  `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',  
  `warehouse_id` varchar(32) COMMENT '仓库(atv_warehouse.id)', -- 后端：
  `product_type_id` varchar(32) COMMENT '品目类型(atv_product_type.id)', -- 后端：
  `product_id` varchar(32) COMMENT '品目信息(atv_product.id)', -- 后端：
  `quantity` int DEFAULT 0 COMMENT '数量(库存量)', -- 后端：atv_output_and_input_stock_item.finish_quantity
  `product_sn` varchar(32) COMMENT '货品编号', -- 后端：
  `specifications` varchar(32) COMMENT '规格/型号', -- 后端：
  `unit` varchar(32) COMMENT '单位', -- 后端：
  `product_name` varchar(32) COMMENT '品目名称', -- 后端：
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `UNIQUE` (`warehouse_id`,`product_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `atv_inventory` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `warehouse_id`, `product_type_id`, `product_id`, `quantity`, `product_sn`, `specifications`, `unit`, `product_name`)
VALUES ('1342384525475373058', 'zuojie', '2020-12-25 16:19:46', NULL, NULL, 'A03A01', '1342381936641904641', '1342381888558403586', '1342382187608084482', 2, '1', '1', '1', '1');
-- N21 库存管理：出入库单表：对应每次出入库的操作
-- 一张出入库单可以包含多张出入库单单项(即明细表atv_output_and_input_stock_item)
DROP TABLE IF EXISTS `atv_output_and_input_stock`;
CREATE TABLE `atv_output_and_input_stock` (
  `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `warehouse_id` varchar(32) COMMENT '仓库(atv_warehouse.uuid)', -- 页面
  `item_id` varchar(32) COMMENT '项目', -- [新版不用了]页面atv_item.id
  `item_sn` varchar(32) COMMENT '项目号', -- [新版不用了]后端获取：atv_item.sn 
  `sn` varchar(32) COMMENT '单号', -- 后端获取：yymmdd+四位递增的数量
  `user_id` varchar(32) COMMENT '负责人(sys_user.realname)', -- 页面
  `user_phone` varchar(32) COMMENT '负责人电话', -- 页面
  `out_in` int COMMENT '出/入库类别', -- 页面 2出,1入
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
--  N22 库存管理：出入库单明细：出入库单单项表: 每项的出入库数据 
DROP TABLE IF EXISTS `atv_output_and_input_stock_item`;
CREATE TABLE `atv_output_and_input_stock_item` (
  `id` varchar(36)  NOT NULL COMMENT '主键',  -- 后端 自动产生
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime  COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `output_and_input_stock_id` varchar(32) COMMENT '出入库单编码', -- 后端：atv_output_and_input_stock.id
  `item_id` varchar(32) COMMENT '项目(atv_item.id)', -- [新版不用了](atv_item.uuid)后端：atv_output_and_input_stock.item_id
  `item_sn` varchar(32) COMMENT '项目号', -- [新版不用了]后端：atv_output_and_input_stock.item_sn
  `user_id` varchar(32) COMMENT '负责人(sys_user.realname)', -- 页面
  `supplier_id` varchar(32) COMMENT '供应商',  -- 后端：atv_product
  `product_type_id` varchar(32) COMMENT '品目类型(atv_product_type)', -- 后端：atv_product
  `product_id` varchar(32) COMMENT '品目/商品(atv_product.id)', -- 页面
  `product_sn` varchar(32) COMMENT '品目编号', -- 后端：atv_product
  `warehouse_id` varchar(32) COMMENT '仓库(atv_warehouse)', -- 页面
  `specifications` varchar(32) COMMENT '规格/型号', -- 后端：atv_product
  `unit` varchar(32) COMMENT '单位', -- 后端：atv_product
  `quantity` int COMMENT '数量', -- 页面 本次入库的数量
  `initial_quantity` int COMMENT '期初数量', -- 本次入库前的库存数据 后端：atv_Inventory
  `finish_quantity` int  COMMENT '结余数量(当前库存量)', -- 本次入库前的库存数据+本次入库数量 后端：atv_Inventory -- 需要吗？
  `out_in` int COMMENT '出/入库(2出,1入)', -- 页面
  `remark` varchar(32) , -- 页面
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- N23 设备信息
DROP TABLE IF EXISTS `atv_equipment`;
CREATE TABLE `atv_equipment` (
  `id` varchar(35) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime  COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime  COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `sn` varchar(32) COMMENT '设备编号',
  `equipment_type` int COMMENT '设备类型',
  `edition` varchar(32) COMMENT '设备版本',
  `area_id` varchar(32) COMMENT '地区',
  `line_id` varchar(32) COMMENT '线路',
  `carriage_id` varchar(32) COMMENT '车厢号',
  `train_id` varchar(32) COMMENT '列车号',
  `country_id` varchar(32) COMMENT '国家',
  `online_status` int DEFAULT 0 COMMENT '在线状态(online_status)',
  `operate_edition` varchar(32) COMMENT '运营版本',
  PRIMARY KEY (`id`) USING BTREE,
  -- sam: 设备更新用：sn train_id
  UNIQUE KEY (`sn`,`country_id`,`area_id`,`line_id`,`train_id`,`carriage_id`) USING BTREE
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330014184031707138', 'chenyu', '2020-11-21 13:04:26', NULL, NULL, 'A03A01', 'PAPCU1', 1, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330014392949989377', 'chenyu', '2020-11-21 13:05:16', NULL, NULL, 'A03A01', 'PASCU1', 2, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330014600551260161', 'chenyu', '2020-11-21 13:06:05', NULL, NULL, 'A03A01', 'PADCU1', 3, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330014766742167554', 'chenyu', '2020-11-21 13:06:45', NULL, NULL, 'A03A01', 'PECU11', 4, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330014864217792514', 'chenyu', '2020-11-21 13:07:08', NULL, NULL, 'A03A01', 'PECU12', 4, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330014996640358402', 'chenyu', '2020-11-21 13:07:40', NULL, NULL, 'A03A01', 'TLCD1', 5, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330015087614812161', 'chenyu', '2020-11-21 13:08:02', NULL, NULL, 'A03A01', 'PLAYCTRL1', 6, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330015203239190529', 'chenyu', '2020-11-21 13:08:29', NULL, NULL, 'A03A01', 'NVR0', 7, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330015286366101505', 'chenyu', '2020-11-21 13:08:49', NULL, NULL, 'A03A01', 'NVR1', 7, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330015428938883073', 'chenyu', '2020-11-21 13:09:23', NULL, NULL, 'A03A01', 'DRAM11', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330015495808671745', 'chenyu', '2020-11-21 13:09:39', NULL, NULL, 'A03A01', 'DRAM12', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330015580663635970', 'chenyu', '2020-11-21 13:09:59', NULL, NULL, 'A03A01', 'DRAM13', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330015682727829505', 'chenyu', '2020-11-21 13:10:23', NULL, NULL, 'A03A01', 'DRAM14', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330015839741599745', 'chenyu', '2020-11-21 13:11:01', NULL, NULL, 'A03A01', 'LCD11', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330015931840126977', 'chenyu', '2020-11-21 13:11:23', NULL, NULL, 'A03A01', 'LCD12', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330016024454553602', 'chenyu', '2020-11-21 13:11:45', NULL, NULL, 'A03A01', 'LCD13', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330016115437395969', 'chenyu', '2020-11-21 13:12:07', NULL, NULL, 'A03A01', 'LCD14', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330016276771299329', 'chenyu', '2020-11-21 13:12:45', NULL, NULL, 'A03A01', 'LCD15', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330016462646075394', 'chenyu', '2020-11-21 13:13:29', NULL, NULL, 'A03A01', 'LCD16', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330016564022403074', 'chenyu', '2020-11-21 13:13:54', NULL, NULL, 'A03A01', 'LCD17', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330016672625516546', 'chenyu', '2020-11-21 13:14:19', NULL, NULL, 'A03A01', 'LCD18', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330016791714390017', 'chenyu', '2020-11-21 13:14:48', NULL, NULL, 'A03A01', 'TDU1', 10, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330016983024984066', 'chenyu', '2020-11-21 13:15:33', NULL, NULL, 'A03A01', 'IDU11', 11, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330017070153261058', 'chenyu', '2020-11-21 13:15:54', NULL, NULL, 'A03A01', 'IDU12', 11, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330017223832559618', 'chenyu', '2020-11-21 13:16:31', NULL, NULL, 'A03A01', 'ODU11', 12, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330017315012534273', 'chenyu', '2020-11-21 13:16:53', NULL, NULL, 'A03A01', 'ODU12', 12, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330017425524056066', 'chenyu', '2020-11-21 13:17:19', NULL, NULL, 'A03A01', 'FCAM1', 13, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330017534798258177', 'chenyu', '2020-11-21 13:17:45', NULL, NULL, 'A03A01', 'SCAM1', 14, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330017644185706498', 'chenyu', '2020-11-21 13:18:11', NULL, NULL, 'A03A01', 'SCAM2', 14, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330017780127293441', 'chenyu', '2020-11-21 13:18:43', NULL, NULL, 'A03A01', 'CAM11', 15, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330017908036788225', 'chenyu', '2020-11-21 13:19:14', NULL, NULL, 'A03A01', 'CAM12', 15, NULL, '1308320004339453954', '1330003687274242049', '1330012553177260034', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330018399324004354', 'chenyu', '2020-11-21 13:21:11', NULL, NULL, 'A03A01', 'PASCU2', 2, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330018575572852738', 'chenyu', '2020-11-21 13:21:53', NULL, NULL, 'A03A01', 'PECU21', 4, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330018749384810497', 'chenyu', '2020-11-21 13:22:35', NULL, NULL, 'A03A01', 'PECU22', 4, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330018861808934914', 'chenyu', '2020-11-21 13:23:01', NULL, NULL, 'A03A01', 'NVR2', 7, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330018974023344129', 'chenyu', '2020-11-21 13:23:28', NULL, NULL, 'A03A01', 'DRAM21', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330019069649281025', 'chenyu', '2020-11-21 13:23:51', NULL, NULL, 'A03A01', 'DRAM22', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330019164780290050', 'chenyu', '2020-11-21 13:24:14', NULL, NULL, 'A03A01', 'DRAM23', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330019260829851649', 'chenyu', '2020-11-21 13:24:37', NULL, NULL, 'A03A01', 'DRAM24', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330019390454816770', 'chenyu', '2020-11-21 13:25:07', NULL, NULL, 'A03A01', 'LCD21', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330019497061441537', 'chenyu', '2020-11-21 13:25:33', NULL, NULL, 'A03A01', 'LCD22', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330019619749027842', 'chenyu', '2020-11-21 13:26:02', NULL, NULL, 'A03A01', 'LCD23', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330019719363747841', 'chenyu', '2020-11-21 13:26:26', NULL, NULL, 'A03A01', 'LCD24', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330019818563231745', 'chenyu', '2020-11-21 13:26:49', NULL, NULL, 'A03A01', 'LCD25', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330019935387181057', 'chenyu', '2020-11-21 13:27:17', NULL, NULL, 'A03A01', 'LCD26', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330020069101592578', 'chenyu', '2020-11-21 13:27:49', NULL, NULL, 'A03A01', 'LCD27', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330020149938413570', 'chenyu', '2020-11-21 13:28:08', NULL, NULL, 'A03A01', 'LCD28', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330020267735441410', 'chenyu', '2020-11-21 13:28:37', NULL, NULL, 'A03A01', 'IDU21', 11, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330020342473744385', 'chenyu', '2020-11-21 13:28:54', NULL, NULL, 'A03A01', 'IDU22', 11, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330020477878460417', 'chenyu', '2020-11-21 13:29:27', NULL, NULL, 'A03A01', 'ODU21', 12, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330020562683092994', 'chenyu', '2020-11-21 13:29:47', NULL, NULL, 'A03A01', 'ODU22', 12, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330020736016900098', 'chenyu', '2020-11-21 13:30:28', NULL, NULL, 'A03A01', 'CAM21', 15, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330020821203214338', 'chenyu', '2020-11-21 13:30:49', NULL, NULL, 'A03A01', 'CAM22', 15, NULL, '1308320004339453954', '1330003687274242049', '1330012635284955138', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330020992192405506', 'chenyu', '2020-11-21 13:31:29', NULL, NULL, 'A03A01', 'PASCU3', 2, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330021287916003329', 'chenyu', '2020-11-21 13:32:40', NULL, NULL, 'A03A01', 'PECU31', 4, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330021369470050306', 'chenyu', '2020-11-21 13:32:59', NULL, NULL, 'A03A01', 'PECU32', 4, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330021509647884290', 'chenyu', '2020-11-21 13:33:33', NULL, NULL, 'A03A01', 'NVR3', 7, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330021701776367618', 'chenyu', '2020-11-21 13:34:18', NULL, NULL, 'A03A01', 'DRAM31', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330021792268476418', 'chenyu', '2020-11-21 13:34:40', NULL, NULL, 'A03A01', 'DRAM32', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330021908861739009', 'chenyu', '2020-11-21 13:35:08', NULL, NULL, 'A03A01', 'DRAM33', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330022050050400257', 'chenyu', '2020-11-21 13:35:42', NULL, NULL, 'A03A01', 'DRAM34', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330022156917071874', 'chenyu', '2020-11-21 13:36:07', NULL, NULL, 'A03A01', 'LCD31', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330022260281499649', 'chenyu', '2020-11-21 13:36:32', NULL, NULL, 'A03A01', 'LCD32', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330022356335255554', 'chenyu', '2020-11-21 13:36:55', NULL, NULL, 'A03A01', 'LCD33', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330022444663103490', 'chenyu', '2020-11-21 13:37:16', NULL, NULL, 'A03A01', 'LCD34', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330022535595614210', 'chenyu', '2020-11-21 13:37:37', NULL, NULL, 'A03A01', 'LCD35', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330022609943846914', 'chenyu', '2020-11-21 13:37:55', NULL, NULL, 'A03A01', 'LCD36', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330022689807589377', 'chenyu', '2020-11-21 13:38:14', NULL, NULL, 'A03A01', 'LCD37', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330022784129097729', 'chenyu', '2020-11-21 13:38:37', NULL, NULL, 'A03A01', 'LCD38', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330022904853749761', 'chenyu', '2020-11-21 13:39:05', NULL, NULL, 'A03A01', 'IDU31', 11, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330023041432870913', 'chenyu', '2020-11-21 13:39:38', NULL, NULL, 'A03A01', 'IDU32', 11, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330023152124747778', 'chenyu', '2020-11-21 13:40:04', NULL, NULL, 'A03A01', 'ODU31', 12, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330023239605346306', 'chenyu', '2020-11-21 13:40:25', NULL, NULL, 'A03A01', 'ODU32', 12, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330023370287276033', 'chenyu', '2020-11-21 13:40:56', NULL, NULL, 'A03A01', 'CAM31', 15, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330023463044308994', 'chenyu', '2020-11-21 13:41:18', NULL, NULL, 'A03A01', 'CAM32', 15, NULL, '1308320004339453954', '1330003687274242049', '1330012692092608513', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330023861465440258', 'chenyu', '2020-11-21 13:42:53', NULL, NULL, 'A03A01', 'PAPCU2', 1, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330023988796121089', 'chenyu', '2020-11-21 13:43:24', NULL, NULL, 'A03A01', 'PASCU4', 2, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330024143033262081', 'chenyu', '2020-11-21 13:44:01', NULL, NULL, 'A03A01', 'PADCU2', 3, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330024241502937090', 'chenyu', '2020-11-21 13:44:24', NULL, NULL, 'A03A01', 'PECU41', 4, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330024397069672450', 'chenyu', '2020-11-21 13:45:01', NULL, NULL, 'A03A01', 'PECU42', 4, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330024547775209474', 'chenyu', '2020-11-21 13:45:37', NULL, NULL, 'A03A01', 'TLCD2', 5, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330024985769598978', 'chenyu', '2020-11-21 13:47:21', NULL, NULL, 'A03A01', 'PLAYCTRL2', 6, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330026866231271425', 'chenyu', '2020-11-21 13:54:50', NULL, NULL, 'A03A01', 'NVR9', 7, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330027023219875841', 'chenyu', '2020-11-21 13:55:27', NULL, NULL, 'A03A01', 'NVR4', 7, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330027254577684481', 'chenyu', '2020-11-21 13:56:22', NULL, NULL, 'A03A01', 'DRAM41', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330027394352865281', 'chenyu', '2020-11-21 13:56:56', NULL, NULL, 'A03A01', 'DRAM42', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330027488334635009', 'chenyu', '2020-11-21 13:57:18', NULL, NULL, 'A03A01', 'DRAM43', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330027566130585601', 'chenyu', '2020-11-21 13:57:37', NULL, NULL, 'A03A01', 'DRAM44', 8, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330027970981584897', 'chenyu', '2020-11-21 13:59:13', NULL, NULL, 'A03A01', 'LCD41', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330028042758709249', 'chenyu', '2020-11-21 13:59:30', NULL, NULL, 'A03A01', 'LCD42', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330028121775202306', 'chenyu', '2020-11-21 13:59:49', NULL, NULL, 'A03A01', 'LCD43', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330028223810035714', 'chenyu', '2020-11-21 14:00:13', NULL, NULL, 'A03A01', 'LCD44', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330028330966114306', 'chenyu', '2020-11-21 14:00:39', NULL, NULL, 'A03A01', 'LCD45', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330028441389555714', 'chenyu', '2020-11-21 14:01:05', NULL, NULL, 'A03A01', 'LCD46', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330028575540174849', 'chenyu', '2020-11-21 14:01:37', NULL, NULL, 'A03A01', 'LCD47', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330028790401785858', 'chenyu', '2020-11-21 14:02:29', NULL, NULL, 'A03A01', 'LCD48', 9, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330028912158236674', 'chenyu', '2020-11-21 14:02:58', NULL, NULL, 'A03A01', 'TDU2', 10, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330029055683125250', 'chenyu', '2020-11-21 14:03:32', NULL, NULL, 'A03A01', 'IDU41', 11, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330029213669974018', 'chenyu', '2020-11-21 14:04:09', NULL, NULL, 'A03A01', 'IDU42', 11, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`,`create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330029350337175553', 'chenyu', '2020-11-21 14:04:42', NULL, NULL, 'A03A01', 'ODU41', 12, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330029467765104642', 'chenyu', '2020-11-21 14:05:10', NULL, NULL, 'A03A01', 'ODU42', 12, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330029619355639810', 'chenyu', '2020-11-21 14:05:46', NULL, NULL, 'A03A01', 'FCAM2', 13, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330030161930805249', 'chenyu', '2020-11-21 14:07:56', NULL, NULL, 'A03A01', 'CAM41', 15, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');
INSERT INTO `atv_equipment` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `equipment_type`, `edition`, `area_id`, `line_id`, `carriage_id`, `train_id`, `country_id`, `online_status`, `operate_edition`) VALUES ('1330030247695933442', 'chenyu', '2020-11-21 14:08:16', NULL, NULL, 'A03A01', 'CAM42', 15, NULL, '1308320004339453954', '1330003687274242049', '1330012760078082049', '1330008631448494082', '1308685950451240961', 2, '1.0');

-- N24 知识库
DROP TABLE IF EXISTS `atv_knowledge`;
CREATE TABLE `atv_knowledge` (
  `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime  COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `title` varchar(500) COMMENT '标题',
  `keyword` varchar(20) COMMENT '关键字',
  `is_release` int COMMENT '是否发布', -- 0:未；1发布
  `knowledge_type` int DEFAULT '1' COMMENT '知识类型', -- 1文字、2文件、3链接、4故障单
  `text` text COMMENT '内容',
  `link` varchar(500) COMMENT '文件链接',
  `url` varchar(500) COMMENT '网址',
  `board_card_fault_id` varchar(32) COMMENT '板卡故障单(atv_board_card_fault.id)',
  `phenomenon` varchar(500) COMMENT '故障现象',
  `handle_mode` varchar(500) COMMENT '处理措施',
  `handle_outcome` varchar(500) COMMENT '处理结果',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
insert into atv_knowledge(id,is_release,knowledge_type,phenomenon,handle_outcome,handle_mode,text,title,keyword,create_time) values('2',1,1,'现象2','处理结果','处理措施','内容','标题','关键字','2021.02.12 12:00:12');
insert into atv_knowledge(id,is_release,knowledge_type,phenomenon,handle_outcome,handle_mode,text,title,keyword,create_time) values('3',1,1,'现象3','处理结果','处理措施','内容','标题','关键字','2023.02.12 12:00:12');

-- N25 知识库附件表
DROP TABLE IF EXISTS `atv_knowledge_file`;
CREATE TABLE `atv_knowledge_file` (
  `id` varchar(36) COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `fault_status` int COMMENT '故障状态',
  `file_type` int COMMENT '文件类型(2:媒体文件;1:图片文件；0:未知)',
  `link` varchar(500) COMMENT '链接',
  `knowledge_id` varchar(32) COMMENT '知识库(atv_knowledge.id)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- N26 设备日志
DROP TABLE IF EXISTS `atv_equipment_log`;
CREATE TABLE `atv_equipment_log` (
  `id` varchar(36) COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `equipment_log_type` int DEFAULT 0 COMMENT '设备工作日志类型(日志和音频)',
  `start_time` datetime COMMENT '开始时间',
  `end_time` datetime COMMENT '结束时间',
  `equipment_type` int COMMENT '设备类型',
  `equipment_id` varchar(32) COMMENT '设备',
  `carriage_id` varchar(32) COMMENT '车厢',
  `train_id` varchar(32) COMMENT '列车',
  `line_id` varchar(32) COMMENT '线路',
  `area_id` varchar(32) COMMENT '地区',
  `country_id` varchar(32) COMMENT '国家',
  `link` varchar(200) COMMENT '链接',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- N27 预警日志表
DROP TABLE IF EXISTS `atv_warn_log`;
CREATE TABLE `atv_warn_log` (
  `id` varchar(36) COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `train_id` varchar(32) COMMENT '列车',
  `warn_type` int DEFAULT NULL COMMENT '预警类型',
  `line_id` varchar(32) COMMENT '线路',
  `train_working_log_id` varchar(32) COMMENT '列车工作日志',
  `equipment_type` int COMMENT '设备类型',
  `board_card_id` varchar(32) COMMENT '板卡',
  `carriage_id` varchar(32) COMMENT '车厢',
  `board_card_type` int COMMENT '板卡类型',
  `equipment_id` varchar(32) COMMENT '设备',
  `fault_type` int COMMENT '故障类型',
  `fault_no` varchar(32) COMMENT '故障编码',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
 -- 为什仫没有
 -- `country_id` varchar(32) COMMENT '国家',
 -- `area_id` varchar(32) COMMENT '地区',
  
-- N28 列车工作日志表
DROP TABLE IF EXISTS `atv_train_working_log`;
CREATE TABLE `atv_train_working_log` (
 `id` varchar(36) COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `country_id` varchar(32) COMMENT '国家',
  `area_id` varchar(32) COMMENT '地区',
  `line_id` varchar(32) COMMENT '线路',
  `train_id` varchar(32) COMMENT '列车',
  `carriage_id` varchar(32) COMMENT '车厢',
  `equipment_id` varchar(32) COMMENT '设备',
  `board_card_id` varchar(32) COMMENT '板卡',
  `worktime` int COMMENT '工作时长',
  `voltage12` double(10,4)  COMMENT '12V电压',
  `voltage5` double(10,4) COMMENT '5V电压',
  `voltage3v3` double(10,4) COMMENT '3.3V电压',
  `current12` double(10,4) COMMENT '12V电流',
  `current5` double(10,4) COMMENT '5V电流',
  `current3v3` double(10,4) COMMENT '3.3V电流',
  `temperature` double(10,4) COMMENT '温度',
  `can1` int COMMENT 'CAN1',
  `can2` int COMMENT 'CAN2',
  `rs232no1` int COMMENT 'RS232No1',
  `net1` int COMMENT 'net1',
  `net2` int COMMENT 'net2',
  `audiochannel1` int COMMENT 'audiochannel1',
  `audiochannel2` int COMMENT 'audiochannel2',
  `audiochannel3` int COMMENT 'audiochannel3',
  `audiochannel4` int COMMENT 'audiochannel4',
  `audiochannel5` int COMMENT 'audiochannel5',
  `audiochannel6` int COMMENT 'audiochannel6',
  `audiochannel7` int COMMENT 'audiochannel7',
  `audiochannel8` int COMMENT 'audiochannel8',
  `rs485` int COMMENT 'RS485',
  `rs232no2` int COMMENT 'RS232No2',
  `equipment_type` int COMMENT '设备类型',
  `board_card_type` int COMMENT '板卡类型',
  `pa_start_flag` int COMMENT '语音报站开始标志位',
  `start_site_sn` varchar(32) COMMENT '起始站点编号',
  `emergent_pano` int COMMENT '紧急广播次数',
  `play_state` int COMMENT '播放状态',
  `section_sn` varchar(32) COMMENT '区间编号',
  `alarm_status` int COMMENT '报警状态',
  `emergent_paid` varchar(32) COMMENT '紧急广播ID',
  `play_file_name` varchar(500) COMMENT '报站文件名',
  `pa_state` int COMMENT 'PA状态',
  `version` varchar(32) COMMENT '版本',
  `open_door_direction` int COMMENT '开门方向',
  `pa_model` int COMMENT '广播状态',
  `now_site_sn` varchar(32) COMMENT '当前站点编号',
  `train_working_log_type` int COMMENT '列车工作日志类型',
  `end_site_sn` varchar(32) COMMENT '终点站点编号',
  `pa_carms` varchar(32) COMMENT '工作的广播主机设备编号',
  `direction` int COMMENT '方向',
  `online_status` int COMMENT '在线状态',
  `mic_model` int COMMENT '对讲状态',
  `car_direction` varchar(32) COMMENT '列车运行方向车厢编号',
  `fault_description` varchar(500) COMMENT '故障描述',
  `fault_type` int COMMENT '故障类型',
  `fault_no` varchar(32) COMMENT '故障编码',
  `board_card_no` int COMMENT '板卡序号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
-- 大屏增加的字段
alter table atv_train_working_log ADD `pre_site_sn` varchar(32) COMMENT '预报站点';  
alter table atv_train_working_log ADD `broadcast_type` int COMMENT '广播类型';  
alter table atv_train_working_log ADD `audio_sn` varchar(32) COMMENT '报站音频编号';  
alter table atv_train_working_log ADD `pre_start_time` datetime COMMENT '报站开始时间';  
alter table atv_train_working_log ADD `pre_duration` int COMMENT '报站时长';
alter table atv_train_working_log ADD `next_arrival_time` int COMMENT '下站达到时间'; 
  
INSERT INTO `atv_train_working_log` VALUES ('38ab840d3be04189bedadfcabf13ea01', '', '2022-09-09 18:12:08', '', '2022-09-09 18:12:08', '', '1308685950451240961', '1308320004339453954', '1330003687274242049', '1330008631448494082', '1330012553177260034', '1330014600551260161', '', NULL, 13.3000, 3.0000, 3.0000, 6.0000, 6.0000, 6.0000, 50.0000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3, 1, NULL, '001', NULL, NULL, '', NULL, '', '', NULL, '', NULL, NULL, '003', 4, '004', '', NULL, NULL, NULL, '', 'MC1广播控制盒麦克输出音频异常', 2, '7002', NULL, '004', 1, 'ATV0001.wav', '2022-09-10 14:12:08', 4, 3);
INSERT INTO `atv_train_working_log` VALUES ('38ab840d3be04189bedadfcabf13ea02', '', '2022-09-10 14:12:08', '', '2022-09-10 14:12:08', '', '1308685950451240961', '1308320004339453954', '1566596794266218497', '1566600360477388802', '1330012553177260034', '1330014600551260161', '', NULL, 11.2000, 3.0000, 3.0000, 6.0000, 6.0000, 6.0000, 60.0000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3, 1, NULL, '004', NULL, NULL, '', NULL, '', '', NULL, '', NULL, NULL, '002', 4, '001', '', NULL, NULL, NULL, '', 'MC1广播控制盒麦克输出音频异常', 2, '7002', NULL, '001', 1, 'ATV0001.wav', '2022-09-10 14:12:08', 2, 5);
INSERT INTO `atv_train_working_log` VALUES ('38ab840d3be04189bedadfcabf13ea03', '', '2022-09-10 14:22:08', '', '2022-09-10 14:22:08', '', '1308685950451240961', '1308320004339453954', '1566596794266218497', '1566600360477388802', '1330012553177260034', '1330014600551260161', '', NULL, 12.8000, 3.0000, 3.0000, 6.0000, 6.0000, 6.0000, 60.0000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3, 1, NULL, '004', NULL, NULL, '', NULL, '', '', NULL, '', NULL, NULL, '002', 4, '001', '', NULL, NULL, NULL, '', 'MC1广播控制盒麦克输出音频异常', 2, '7002', NULL, '001', 1, 'ATV0001.wav', '2022-09-10 14:12:08', 2, 5);
INSERT INTO `atv_train_working_log` VALUES ('38ab840d3be04189bedadfcabf13ea04', '', '2022-09-10 14:32:08', '', '2022-09-10 14:32:08', '', '1308685950451240961', '1308320004339453954', '1566596794266218497', '1566600360477388802', '1330012553177260034', '1330014600551260161', '', NULL, 10.9000, 3.0000, 3.0000, 6.0000, 6.0000, 6.0000, 60.0000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3, 1, NULL, '004', NULL, NULL, '', NULL, '', '', NULL, '', NULL, NULL, '002', 4, '001', '', NULL, NULL, NULL, '', 'MC1广播控制盒麦克输出音频异常', 2, '7002', NULL, '001', 1, 'ATV0001.wav', '2022-09-10 14:12:08', 2, 5);
INSERT INTO `atv_train_working_log` VALUES ('38ab840d3be04189bedadfcabf13ea05', '', '2022-09-10 14:55:08', '', '2022-09-10 14:55:08', '', '1308685950451240961', '1308320004339453954', '1566596794266218497', '1566600360477388802', '1330012553177260034', '1330014600551260161', '', NULL, 9.2000, 3.0000, 3.0000, 6.0000, 6.0000, 6.0000, 60.0000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3, 1, NULL, '004', NULL, NULL, '', NULL, '', '', NULL, '', NULL, NULL, '002', 4, '001', '', NULL, NULL, NULL, '', 'MC1广播控制盒麦克输出音频异常', 2, '7002', NULL, '001', 1, 'ATV0001.wav', '2022-09-10 14:12:08', 2, 5);
INSERT INTO `atv_train_working_log` VALUES ('38ab840d3be04189bedadfcabf13ea06', '', '2022-09-10 15:10:08', '', '2022-09-10 15:10:08', '', '1308685950451240961', '1308320004339453954', '1566596794266218497', '1566600360477388802', '1330012553177260034', '1330014600551260161', '', NULL, 15.7000, 3.0000, 3.0000, 6.0000, 6.0000, 6.0000, 60.0000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3, 1, NULL, '004', NULL, NULL, '', NULL, '', '', NULL, '', NULL, NULL, '002', 4, '001', '', NULL, NULL, NULL, '', 'MC1广播控制盒麦克输出音频异常', 2, '7002', NULL, '001', 1, 'ATV0001.wav', '2022-09-10 14:12:08', 2, 5);

-- N2 板卡工作日志 新增
DROP TABLE IF EXISTS `atv_board_warning`;
CREATE TABLE `atv_board_warning`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `board_card_type` int COMMENT '板卡类型',
  `equipment_type` int COMMENT '设备类型',
  `item_id` varchar(32) COMMENT '项目',
  `country_id` varchar(32) COMMENT '国家',
  `area_id` varchar(32) COMMENT '地区/城市',
  `line_id` varchar(32) COMMENT '线路',
  `train_id` varchar(32) COMMENT '列车',
  `carriage_id` varchar(32) COMMENT '车厢',
  `board_card_id` varchar(32) COMMENT '板卡编号',
  `equipment_id` varchar(32) COMMENT '设备',
  `edition` varchar(32) COMMENT '固件版本',
  `operate_edition` varchar(32) COMMENT '运营版本',
  `worktime` int NULL DEFAULT NULL COMMENT '工作时长',
  `voltage12` double(10, 4) COMMENT '12V电压',
  `voltage5` double(10, 4) COMMENT '5V电压',
  `voltage3v3` double(10, 4) COMMENT '3.3V电压',
  `current12` double(10, 4) COMMENT '12V电流',
  `current5` double(10, 4) COMMENT '5V电流',
  `current3v3` double(10, 4) COMMENT '3.3V电流',
  `temperature` double(10, 4) COMMENT '温度',
  `volume` double(10, 4) COMMENT '音量',
  `life` int COMMENT '寿命',
  `warning_content` varchar(255) COMMENT '预警内容（文字版）',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- N29 大屏各种布局文件
DROP TABLE IF EXISTS `atv_screen_layout`;
CREATE TABLE `atv_screen_layout`  (
  `layout_id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '布局ID',
  `layout_name` varchar(255) COMMENT '布局名称',
  `create_time` datetime COMMENT '创建时间',
  `layout_content` varchar(5000) COMMENT '布局内容',
  `update_time` datetime COMMENT '更新时间',
  `is_default` int(1) COMMENT '是否为默认布局',
  `create_by` varchar(50) ,
  PRIMARY KEY (`layout_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `atv_screen_layout` VALUES (7, '666', '2022-11-20 10:25:01', '[{\"x\":0,\"y\":0,\"w\":14,\"h\":24,\"i\":\"0\",\"isDisplay\":true,\"panelH\":470,\"imgPath\":\"/big/static/img/fault_list.3ed35e3b.png\",\"imgWidth\":400,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":0,\"w\":12,\"h\":13,\"i\":\"1\",\"isDisplay\":true,\"panelH\":\"250\",\"imgPath\":\"/big/static/img/fault_statistics.d3214ca5.png\",\"imgWidth\":360,\"imgHeight\":194,\"moved\":false},{\"x\":15,\"y\":0,\"w\":21,\"h\":27,\"i\":\"2\",\"isDisplay\":true,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/line_map.e1245433.png\",\"imgWidth\":270,\"imgHeight\":198,\"moved\":false},{\"x\":36,\"y\":13,\"w\":12,\"h\":14,\"i\":\"3\",\"isDisplay\":true,\"panelH\":\"270\",\"imgPath\":\"/big/static/img/pass_info.fc01357b.png\",\"imgWidth\":280,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":27,\"w\":36,\"h\":11,\"i\":\"4\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/report_status.89c64d20.png\",\"imgWidth\":1100,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":27,\"w\":12,\"h\":11,\"i\":\"5\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":340,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"6\",\"isDisplay\":false,\"panelH\":250,\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":0,\"imgHeight\":0,\"moved\":false}]', '2022-12-11 11:45:03', 0, 'B');
INSERT INTO `atv_screen_layout` VALUES (8, '777', '2022-11-20 10:25:42', '[{\"x\":0,\"y\":0,\"w\":13,\"h\":22,\"i\":\"0\",\"isDisplay\":true,\"panelH\":430,\"imgPath\":\"/big/static/img/fault_list.3ed35e3b.png\",\"imgWidth\":400,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":0,\"w\":12,\"h\":13,\"i\":\"1\",\"isDisplay\":true,\"panelH\":\"250\",\"imgPath\":\"/big/static/img/fault_statistics.d3214ca5.png\",\"imgWidth\":360,\"imgHeight\":194,\"moved\":false},{\"x\":15,\"y\":0,\"w\":21,\"h\":27,\"i\":\"2\",\"isDisplay\":true,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/line_map.e1245433.png\",\"imgWidth\":270,\"imgHeight\":198,\"moved\":false},{\"x\":36,\"y\":13,\"w\":12,\"h\":14,\"i\":\"3\",\"isDisplay\":true,\"panelH\":\"270\",\"imgPath\":\"/big/static/img/pass_info.fc01357b.png\",\"imgWidth\":280,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":27,\"w\":36,\"h\":11,\"i\":\"4\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/report_status.89c64d20.png\",\"imgWidth\":1100,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":27,\"w\":12,\"h\":11,\"i\":\"5\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":340,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"6\",\"isDisplay\":false,\"panelH\":250,\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":0,\"imgHeight\":0,\"moved\":false}]', '2022-12-11 12:22:59', 0, 'B');
INSERT INTO `atv_screen_layout` VALUES (9, '888', '2022-11-20 10:26:20', '[{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"0\",\"isDisplay\":false,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/fault_list.3ed35e3b.png\",\"imgWidth\":400,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":0,\"w\":12,\"h\":13,\"i\":\"1\",\"isDisplay\":true,\"panelH\":\"250\",\"imgPath\":\"/big/static/img/fault_statistics.d3214ca5.png\",\"imgWidth\":360,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":0,\"w\":36,\"h\":28,\"i\":\"2\",\"isDisplay\":true,\"panelH\":550,\"imgPath\":\"/big/static/img/line_map.e1245433.png\",\"imgWidth\":270,\"imgHeight\":198,\"moved\":false},{\"x\":36,\"y\":13,\"w\":12,\"h\":14,\"i\":\"3\",\"isDisplay\":true,\"panelH\":\"270\",\"imgPath\":\"/big/static/img/pass_info.fc01357b.png\",\"imgWidth\":280,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":28,\"w\":36,\"h\":11,\"i\":\"4\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/report_status.89c64d20.png\",\"imgWidth\":1100,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":27,\"w\":12,\"h\":11,\"i\":\"5\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":340,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"6\",\"isDisplay\":false,\"panelH\":250,\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":0,\"imgHeight\":0,\"moved\":false}]', '2022-11-20 10:26:20', 0, 'B');
INSERT INTO `atv_screen_layout` VALUES (10, '999', '2022-11-20 10:28:08', '[{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"0\",\"isDisplay\":false,\"panelH\":524.3999633789062,\"imgPath\":\"/big/static/img/fault_list.3ed35e3b.png\",\"imgWidth\":400,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":0,\"w\":12,\"h\":13,\"i\":\"1\",\"isDisplay\":true,\"panelH\":\"250\",\"imgPath\":\"/big/static/img/fault_statistics.d3214ca5.png\",\"imgWidth\":360,\"imgHeight\":194,\"moved\":false},{\"x\":15,\"y\":0,\"w\":21,\"h\":27,\"i\":\"2\",\"isDisplay\":true,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/line_map.e1245433.png\",\"imgWidth\":270,\"imgHeight\":198,\"moved\":false},{\"x\":36,\"y\":13,\"w\":12,\"h\":14,\"i\":\"3\",\"isDisplay\":true,\"panelH\":\"270\",\"imgPath\":\"/big/static/img/pass_info.fc01357b.png\",\"imgWidth\":280,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":27,\"w\":36,\"h\":11,\"i\":\"4\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/report_status.89c64d20.png\",\"imgWidth\":1100,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":27,\"w\":12,\"h\":11,\"i\":\"5\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":340,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"6\",\"isDisplay\":false,\"panelH\":250,\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":0,\"imgHeight\":0,\"moved\":false}]', '2022-11-20 10:28:08', 0, 'B');
INSERT INTO `atv_screen_layout` VALUES (16, '空', '2022-11-20 13:33:37', '[{\"x\":0,\"y\":0,\"w\":15,\"h\":27,\"i\":\"0\",\"isDisplay\":false,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/fault_list.3ed35e3b.png\",\"imgWidth\":400,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":0,\"w\":12,\"h\":13,\"i\":\"1\",\"isDisplay\":false,\"panelH\":\"250\",\"imgPath\":\"/big/static/img/fault_statistics.d3214ca5.png\",\"imgWidth\":360,\"imgHeight\":194,\"moved\":false},{\"x\":15,\"y\":0,\"w\":21,\"h\":27,\"i\":\"2\",\"isDisplay\":false,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/line_map.e1245433.png\",\"imgWidth\":270,\"imgHeight\":198,\"moved\":false},{\"x\":36,\"y\":13,\"w\":12,\"h\":14,\"i\":\"3\",\"isDisplay\":false,\"panelH\":\"270\",\"imgPath\":\"/big/static/img/pass_info.fc01357b.png\",\"imgWidth\":280,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":27,\"w\":36,\"h\":11,\"i\":\"4\",\"isDisplay\":false,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/report_status.89c64d20.png\",\"imgWidth\":1100,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":27,\"w\":12,\"h\":11,\"i\":\"5\",\"isDisplay\":false,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":340,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"6\",\"isDisplay\":false,\"panelH\":250,\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":0,\"imgHeight\":0,\"moved\":false}]', '2022-11-20 13:33:37', 0, 'B');
INSERT INTO `atv_screen_layout` VALUES (17, '4545', '2022-11-20 14:14:44', '[{\"x\":0,\"y\":0,\"w\":15,\"h\":27,\"i\":\"0\",\"isDisplay\":true,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/fault_list.3ed35e3b.png\",\"imgWidth\":400,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":0,\"w\":12,\"h\":20,\"i\":\"1\",\"isDisplay\":true,\"panelH\":390,\"imgPath\":\"/big/static/img/fault_statistics.d3214ca5.png\",\"imgWidth\":360,\"imgHeight\":194,\"moved\":false},{\"x\":15,\"y\":0,\"w\":21,\"h\":27,\"i\":\"2\",\"isDisplay\":true,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/line_map.e1245433.png\",\"imgWidth\":270,\"imgHeight\":198,\"moved\":false},{\"x\":36,\"y\":20,\"w\":12,\"h\":14,\"i\":\"3\",\"isDisplay\":true,\"panelH\":\"270\",\"imgPath\":\"/big/static/img/pass_info.fc01357b.png\",\"imgWidth\":280,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":27,\"w\":36,\"h\":11,\"i\":\"4\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/report_status.89c64d20.png\",\"imgWidth\":1100,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":34,\"w\":12,\"h\":11,\"i\":\"5\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":340,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"6\",\"isDisplay\":false,\"panelH\":250,\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":0,\"imgHeight\":0,\"moved\":false}]', '2022-11-20 14:14:44', 0, 'B');
INSERT INTO `atv_screen_layout` VALUES (18, '13123', '2022-11-20 14:14:47', '[{\"x\":0,\"y\":0,\"w\":15,\"h\":27,\"i\":\"0\",\"isDisplay\":true,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/fault_list.3ed35e3b.png\",\"imgWidth\":400,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":0,\"w\":12,\"h\":20,\"i\":\"1\",\"isDisplay\":true,\"panelH\":390,\"imgPath\":\"/big/static/img/fault_statistics.d3214ca5.png\",\"imgWidth\":360,\"imgHeight\":194,\"moved\":false},{\"x\":15,\"y\":0,\"w\":21,\"h\":27,\"i\":\"2\",\"isDisplay\":true,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/line_map.e1245433.png\",\"imgWidth\":270,\"imgHeight\":198,\"moved\":false},{\"x\":36,\"y\":20,\"w\":12,\"h\":14,\"i\":\"3\",\"isDisplay\":true,\"panelH\":\"270\",\"imgPath\":\"/big/static/img/pass_info.fc01357b.png\",\"imgWidth\":280,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":27,\"w\":36,\"h\":11,\"i\":\"4\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/report_status.89c64d20.png\",\"imgWidth\":1100,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":34,\"w\":12,\"h\":11,\"i\":\"5\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":340,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"6\",\"isDisplay\":false,\"panelH\":250,\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":0,\"imgHeight\":0,\"moved\":false}]', '2022-12-11 12:22:59', 1, 'B');
INSERT INTO `atv_screen_layout` VALUES (81, '模板', '2022-11-20 19:25:05', '[{\"x\":0,\"y\":0,\"w\":15,\"h\":27,\"i\":\"0\",\"isDisplay\":true,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/fault_list.3ed35e3b.png\",\"imgWidth\":400,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":0,\"w\":12,\"h\":13,\"i\":\"1\",\"isDisplay\":true,\"panelH\":\"250\",\"imgPath\":\"/big/static/img/fault_statistics.d3214ca5.png\",\"imgWidth\":360,\"imgHeight\":194,\"moved\":false},{\"x\":15,\"y\":0,\"w\":21,\"h\":27,\"i\":\"2\",\"isDisplay\":true,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/line_map.e1245433.png\",\"imgWidth\":270,\"imgHeight\":198,\"moved\":false},{\"x\":36,\"y\":13,\"w\":12,\"h\":14,\"i\":\"3\",\"isDisplay\":true,\"panelH\":\"270\",\"imgPath\":\"/big/static/img/pass_info.fc01357b.png\",\"imgWidth\":280,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":27,\"w\":36,\"h\":11,\"i\":\"4\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/report_status.89c64d20.png\",\"imgWidth\":1100,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":27,\"w\":12,\"h\":11,\"i\":\"5\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":340,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"6\",\"isDisplay\":false,\"panelH\":250,\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":0,\"imgHeight\":0,\"moved\":false}]', '2022-11-20 19:25:05', 0, 'B');
INSERT INTO `atv_screen_layout` VALUES (82, '1223', '2022-11-20 19:25:10', '[{\"x\":0,\"y\":0,\"w\":15,\"h\":27,\"i\":\"0\",\"isDisplay\":true,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/fault_list.3ed35e3b.png\",\"imgWidth\":400,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":0,\"w\":12,\"h\":13,\"i\":\"1\",\"isDisplay\":true,\"panelH\":\"250\",\"imgPath\":\"/big/static/img/fault_statistics.d3214ca5.png\",\"imgWidth\":360,\"imgHeight\":194,\"moved\":false},{\"x\":15,\"y\":0,\"w\":21,\"h\":27,\"i\":\"2\",\"isDisplay\":true,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/line_map.e1245433.png\",\"imgWidth\":270,\"imgHeight\":198,\"moved\":false},{\"x\":36,\"y\":13,\"w\":12,\"h\":14,\"i\":\"3\",\"isDisplay\":true,\"panelH\":\"270\",\"imgPath\":\"/big/static/img/pass_info.fc01357b.png\",\"imgWidth\":280,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":27,\"w\":36,\"h\":11,\"i\":\"4\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/report_status.89c64d20.png\",\"imgWidth\":1100,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":27,\"w\":12,\"h\":11,\"i\":\"5\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":340,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"6\",\"isDisplay\":false,\"panelH\":250,\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":0,\"imgHeight\":0,\"moved\":false}]', '2022-11-20 19:25:10', 0, 'B');
INSERT INTO `atv_screen_layout` VALUES (83, '模板12', '2022-11-20 20:32:51', '[{\"x\":0,\"y\":0,\"w\":15,\"h\":27,\"i\":\"0\",\"isDisplay\":true,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/fault_list.3ed35e3b.png\",\"imgWidth\":400,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":0,\"w\":12,\"h\":13,\"i\":\"1\",\"isDisplay\":true,\"panelH\":\"250\",\"imgPath\":\"/big/static/img/fault_statistics.d3214ca5.png\",\"imgWidth\":360,\"imgHeight\":194,\"moved\":false},{\"x\":15,\"y\":0,\"w\":21,\"h\":27,\"i\":\"2\",\"isDisplay\":true,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/line_map.e1245433.png\",\"imgWidth\":270,\"imgHeight\":198,\"moved\":false},{\"x\":36,\"y\":13,\"w\":12,\"h\":14,\"i\":\"3\",\"isDisplay\":true,\"panelH\":\"270\",\"imgPath\":\"/big/static/img/pass_info.fc01357b.png\",\"imgWidth\":280,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":27,\"w\":36,\"h\":11,\"i\":\"4\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/report_status.89c64d20.png\",\"imgWidth\":1100,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":27,\"w\":12,\"h\":11,\"i\":\"5\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":340,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"6\",\"isDisplay\":false,\"panelH\":250,\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":0,\"imgHeight\":0,\"moved\":false}]', '2022-11-20 20:32:51', 0, 'B');
INSERT INTO `atv_screen_layout` VALUES (84, '11111', '2022-11-20 20:37:15', '[{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"0\",\"isDisplay\":false,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/fault_list.3ed35e3b.png\",\"imgWidth\":400,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":0,\"w\":0,\"h\":0,\"i\":\"1\",\"isDisplay\":false,\"panelH\":390,\"imgPath\":\"/big/static/img/fault_statistics.d3214ca5.png\",\"imgWidth\":360,\"imgHeight\":194,\"moved\":false},{\"x\":4,\"y\":0,\"w\":21,\"h\":27,\"i\":\"2\",\"isDisplay\":true,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/line_map.e1245433.png\",\"imgWidth\":270,\"imgHeight\":198,\"moved\":false},{\"x\":36,\"y\":0,\"w\":12,\"h\":14,\"i\":\"3\",\"isDisplay\":true,\"panelH\":\"270\",\"imgPath\":\"/big/static/img/pass_info.fc01357b.png\",\"imgWidth\":280,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":27,\"w\":36,\"h\":11,\"i\":\"4\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/report_status.89c64d20.png\",\"imgWidth\":1100,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":14,\"w\":12,\"h\":11,\"i\":\"5\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":340,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"6\",\"isDisplay\":false,\"panelH\":250,\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":0,\"imgHeight\":0,\"moved\":false}]', '2022-11-20 20:37:15', 0, 'B');
INSERT INTO `atv_screen_layout` VALUES (85, '121212', '2022-11-27 19:45:52', '[{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"0\",\"isDisplay\":false,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/fault_list.3ed35e3b.png\",\"imgWidth\":400,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":0,\"w\":12,\"h\":13,\"i\":\"1\",\"isDisplay\":true,\"panelH\":\"250\",\"imgPath\":\"/big/static/img/fault_statistics.d3214ca5.png\",\"imgWidth\":360,\"imgHeight\":194,\"moved\":false},{\"x\":15,\"y\":0,\"w\":0,\"h\":0,\"i\":\"2\",\"isDisplay\":false,\"panelH\":\"530\",\"imgPath\":\"/big/static/img/line_map.e1245433.png\",\"imgWidth\":270,\"imgHeight\":198,\"moved\":false},{\"x\":36,\"y\":13,\"w\":12,\"h\":14,\"i\":\"3\",\"isDisplay\":true,\"panelH\":\"270\",\"imgPath\":\"/big/static/img/pass_info.fc01357b.png\",\"imgWidth\":280,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":27,\"w\":36,\"h\":11,\"i\":\"4\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/report_status.89c64d20.png\",\"imgWidth\":1100,\"imgHeight\":194,\"moved\":false},{\"x\":36,\"y\":27,\"w\":12,\"h\":11,\"i\":\"5\",\"isDisplay\":true,\"panelH\":\"210\",\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":340,\"imgHeight\":194,\"moved\":false},{\"x\":0,\"y\":0,\"w\":0,\"h\":0,\"i\":\"6\",\"isDisplay\":false,\"panelH\":250,\"imgPath\":\"/big/static/img/fault_alarm.f32edd6a.png\",\"imgWidth\":0,\"imgHeight\":0,\"moved\":false}]', '2022-11-27 19:45:52', 0, 'B');
alter table atv_screen_layout ADD `update_by` varchar(50) COMMENT '更新人';  


-- N30 TTS语音表
-- uploadTts命令5 发文本到列车TTS设备； 然后列车TTS设备发命令6到运维平台(音频文件)
-- playTts播放命令7：TT文件开始播放
DROP TABLE IF EXISTS `atv_tts`;
CREATE TABLE `atv_tts` (
  `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `tts_text` varchar(300) COMMENT '文本内容',
  `audio_sn` varchar(32) COMMENT '音频编号',
  `audio_link` varchar(500) COMMENT '音频连接', -- 命名格式：id-audioSn.扩展名
  `country_id` varchar(32) COMMENT '国家', -- sam+
  `area_id` varchar(32) COMMENT '地区', -- sam+
  `line_id` varchar(32) COMMENT '线路', -- sam+
  `train_id` varchar(32) COMMENT '列车',
  `turn_count` int DEFAULT '0' COMMENT '转换次数',
  `turn_status` int DEFAULT '0' COMMENT '转换状态', -- 等待0；成功1；失败2
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
-- alter table atv_tts ADD IF NOT EXISTS `country_id` varchar(32) COMMENT '国家';  
-- alter table atv_tts ADD IF NOT EXISTS `area_id` varchar(32) COMMENT '地区';  
-- alter table atv_tts ADD IF NOT EXISTS `line_id` varchar(32) COMMENT '线路';  



-- 远程广播(播放文本 备份)
DROP TABLE IF EXISTS `atv_broadcast`;
CREATE TABLE `atv_broadcast` (
  `id` int(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `country_id` varchar(32) COMMENT '国家',
  `area_id` varchar(32) COMMENT '地区',
  `line_id` varchar(32) COMMENT '线路',
  `train_id` varchar(32) COMMENT '列车',
  `broad_text` varchar(500) COMMENT '广播内容(文字)',
  `broad_type` int DEFAULT 1 COMMENT '广播类别', -- 1所有车，2某辆车
  `broad_num` int DEFAULT 0 COMMENT '广播次数', -- 0循环播放；或次数
   -- sys_notice_status
  `status` char(1) DEFAULT '0' COMMENT '状态', -- 发布状态: 0未发布; 1已发布;2已撤销
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- 项目类型表
DROP TABLE IF EXISTS `atv_item_type`;
CREATE TABLE `atv_item_type` (
  `id` varchar(36) NOT NULL,
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `name` varchar(32) COMMENT '类型名称',
  `orders` int COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC;
INSERT INTO `atv_item_type` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `name`, `orders`) VALUES ('1308680126731440130', 'chenyu', '2020-09-23 16:10:30', NULL, NULL, 'A03', '新开类型', 1);
INSERT INTO `atv_item_type` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `name`, `orders`) VALUES ('1351560446269628417', 'hanlei', '2021-01-20 00:01:36', NULL, NULL, 'A03A01', '结束类型', 2);


-- 项目状态表
DROP TABLE IF EXISTS `atv_item_status`;
CREATE TABLE `atv_item_status` (
  `id` varchar(36)  NOT NULL,
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `name` varchar(32) COMMENT '状态名称',
  `orders` int COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC;
INSERT INTO `atv_item_status` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `name`, `orders`) VALUES ('1308680218565726209', 'chenyu', '2020-09-23 16:10:52', NULL, NULL, 'A03', '新开项目', 1);
INSERT INTO `atv_item_status` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `name`, `orders`) VALUES ('1351560494374100994', 'hanlei', '2021-01-20 00:01:47', NULL, NULL, 'A03A01', '项目中', 2);



-- 项目文档表
DROP TABLE IF EXISTS `atv_item_archive`;
CREATE TABLE `atv_item_archive` (
  `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `name` varchar(100) COMMENT '文档名称',
  `archive` varchar(100) COMMENT '文档(文档文件名?)',
  `item_archive_type_id` varchar(32) COMMENT '文档类型(atv_item_archive_type.uuid)',
  `item_id` varchar(32) COMMENT '项目(atv_item.uuid)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC;
INSERT INTO `atv_item_archive` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `name`, `archive`, `item_archive_type_id`, `item_id`) VALUES ('1351564577529044993', 'hanlei', '2021-01-20 00:18:01', 'hanlei', '2021-01-20 00:18:20', 'A03A01', 'XIAONAIPIAN ', '123.jpg', '1308680594874486785', '1330025783077429249');

-- 基础数据：项目文档类型表
DROP TABLE IF EXISTS `atv_item_archive_type`;
CREATE TABLE `atv_item_archive_type` (
  `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `name` varchar(32) COMMENT '文档类型',
  `orders` int COMMENT '排序',
  `template_file` varchar(50) COMMENT '模板文件',
  `is_system` int DEFAULT '0' COMMENT '是否内置',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC;
INSERT INTO `atv_item_archive_type` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `name`, `orders`, `template_file`, `is_system`) VALUES ('1308680594874486785', 'liyang', '2020-09-23 16:12:22', NULL, NULL, 'A03A01', '附件', 1, 'wendang_1600848776570.docx', 0);

-- 项目进展表
DROP TABLE IF EXISTS `atv_item_progress`;
CREATE TABLE `atv_item_progress` (
  `id` varchar(36)  NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `pid` varchar(32) COMMENT '父级节点',
  `has_child` varchar(3) COMMENT '是否有子节点',
  `name` varchar(32) COMMENT '名称',
  `item_progress_type` int COMMENT '进展类型',
  `synopsis` varchar(500) COMMENT '简介',
  `remarks` varchar(500) COMMENT '备注',
  `start_time_plan` datetime COMMENT '计划开始时间',
  `end_time_plan` datetime COMMENT '计划结束时间',
  `start_time_actual` datetime COMMENT '实际开始时间',
  `end_time_actual` datetime COMMENT '实际结束时间',
  `milepost_time` datetime COMMENT '里程碑时间',
  `progress` int COMMENT '进展',
  `item_id` varchar(32) COMMENT '项目(atv_item.uuid)',
  PRIMARY KEY (`id`) USING BTREE
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


-- 项目列表
DROP TABLE IF EXISTS `atv_item`;
CREATE TABLE `atv_item` (
  `id` varchar(36) NOT NULL COMMENT '主键',
  `create_by` varchar(50) COMMENT '创建人',
  `create_time` datetime COMMENT '创建日期',
  `update_by` varchar(50) COMMENT '更新人',
  `update_time` datetime COMMENT '更新日期',
  `sys_org_code` varchar(64) COMMENT '所属部门',
  `sn` varchar(32) COMMENT '项目编号',
  `name` varchar(64) COMMENT '项目名称',
  `begin_time` datetime COMMENT '开始时间start_time(sam+)',
  `end_time` datetime COMMENT '结束时间',
  `address` varchar(500) COMMENT '项目地址',
  `synopsis` varchar(500) COMMENT '项目简介',
  `customer_name` varchar(32) COMMENT '客户姓名',
  `remarks` varchar(500) COMMENT '备注',
  `area_id` varchar(32) COMMENT '地区',
  `line_id` varchar(32) COMMENT '线路',
  `item_type_id` varchar(32) COMMENT '项目类型',
  `item_status_id` varchar(32) COMMENT '项目状态',
  `user_id` varchar(32) COMMENT '项目经理',
  `country_id` varchar(32) COMMENT '国家',
  `item_manager` varchar(100) COMMENT '项目管理人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `atv_item` (`id`, `create_by`, `create_time`, `update_by`, `update_time`, `sys_org_code`, `sn`, `name`, `begin_time`, `end_time`, `address`, `synopsis`, `customer_name`, `remarks`, `area_id`, `line_id`, `item_type_id`, `item_status_id`, `user_id`, `country_id`, `item_manager`) 
VALUES ('1330025783077429249', 'zuojie', '2020-11-21 13:50:32', 'chenyu', '2021-01-20 17:02:02', 'A03A01', 'BJ20201121', '中国北京市首都机场线', '2020-01-01 00:00:00', '2021-12-31 00:00:00', '北京市', '项目简介', '奥特维', '备注', '1308320004339453954', '1330003687274242049', '1308680126731440130', '1351560494374100994', 'd9abf6bd631b40098abe91699a521c55', '1308685950451240961', 'fuyulan,hanlei,chenyu,liyang');
